//#include <Carbon.h>
#include <gl.h>
#include <glext.h>
//#include <string.h>
#include "CFM_Bridge.h"
#include "CFM_OpenGL_Bridge.h"

#pragma export on

// function pointer declarations
// Note: One could use the exact entry point names but it would have mulitply defined symbols in Mac OS X 10.2 and later
//       pfXXX is chosen to represent 'pointer to function'
#if GL_ARB_occlusion_query
glGenQueriesARBProcPtr 	pfglGenQueriesARB = NULL;
glDeleteQueriesARBProcPtr 	pfglDeleteQueriesARB = NULL;
glIsQueryARBProcPtr 	pfglIsQueryARB = NULL;
glBeginQueryARBProcPtr 	pfglBeginQueryARB = NULL;
glEndQueryARBProcPtr 	pfglEndQueryARB = NULL;
glGetQueryivARBProcPtr 	pfglGetQueryivARB = NULL;
glGetQueryObjectivARBProcPtr 	pfglGetQueryObjectivARB = NULL;
glGetQueryObjectuivARBProcPtr 	pfglGetQueryObjectuivARB = NULL;
#endif	

#if GL_ARB_shader_objects
glDeleteObjectARBProcPtr 	pfglDeleteObjectARB = NULL;
glGetHandleARBProcPtr 	pfglGetHandleARB = NULL;
glDetachObjectARBProcPtr 	pfglDetachObjectARB = NULL;
glCreateShaderObjectARBProcPtr 	pfglCreateShaderObjectARB = NULL;
glShaderSourceARBProcPtr 	pfglShaderSourceARB = NULL;
glCompileShaderARBProcPtr 	pfglCompileShaderARB = NULL;
glCreateProgramObjectARBProcPtr 	pfglCreateProgramObjectARB = NULL;
glAttachObjectARBProcPtr 	pfglAttachObjectARB = NULL;
glLinkProgramARBProcPtr 	pfglLinkProgramARB = NULL;
glUseProgramObjectARBProcPtr 	pfglUseProgramObjectARB = NULL;
glValidateProgramARBProcPtr 	pfglValidateProgramARB = NULL;
glUniform1fARBProcPtr 	pfglUniform1fARB = NULL;
glUniform2fARBProcPtr 	pfglUniform2fARB = NULL;
glUniform3fARBProcPtr 	pfglUniform3fARB = NULL;
glUniform4fARBProcPtr 	pfglUniform4fARB = NULL;
glUniform1iARBProcPtr 	pfglUniform1iARB = NULL;
glUniform2iARBProcPtr 	pfglUniform2iARB = NULL;
glUniform3iARBProcPtr 	pfglUniform3iARB = NULL;
glUniform4iARBProcPtr	pfglUniform4iARB = NULL;
glUniform1fvARBProcPtr	pfglUniform1fvARB = NULL;
glUniform2fvARBProcPtr 	pfglUniform2fvARB = NULL;
glUniform3fvARBProcPtr 	pfglUniform3fvARB = NULL;
glUniform4fvARBProcPtr 	pfglUniform4fvARB = NULL;
glUniform1ivARBProcPtr 	pfglUniform1ivARB = NULL;
glUniform2ivARBProcPtr 	pfglUniform2ivARB = NULL;
glUniform3ivARBProcPtr 	pfglUniform3ivARB = NULL;
glUniform4ivARBProcPtr 	pfglUniform4ivARB = NULL;
glUniformMatrix2fvARBProcPtr 	pfglUniformMatrix2fvARB = NULL;
glUniformMatrix3fvARBProcPtr 	pfglUniformMatrix3fvARB = NULL;
glUniformMatrix4fvARBProcPtr 	pfglUniformMatrix4fvARB = NULL;
glGetObjectParameterfvARBProcPtr 	pfglGetObjectParameterfvARB = NULL;
glGetObjectParameterivARBProcPtr 	pfglGetObjectParameterivARB = NULL;
glGetInfoLogARBProcPtr 	pfglGetInfoLogARB = NULL;
glGetAttachedObjectsARBProcPtr 	pfglGetAttachedObjectsARB = NULL;
glGetUniformLocationARBProcPtr 	pfglGetUniformLocationARB = NULL;
glGetActiveUniformARBProcPtr 	pfglGetActiveUniformARB = NULL;
glGetUniformfvARBProcPtr 	pfglGetUniformfvARB = NULL;
glGetUniformivARBProcPtr 	pfglGetUniformivARB = NULL;
glGetShaderSourceARBProcPtr 	pfglGetShaderSourceARB = NULL;
#endif	

#if GL_ARB_vertex_shader
glBindAttribLocationARBProcPtr 	pfglBindAttribLocationARB = NULL; 
glGetActiveAttribARBProcPtr 	pfglGetActiveAttribARB = NULL; 
glGetAttribLocationARBProcPtr 	pfglGetAttribLocationARB = NULL; 
#endif	

#if GL_ARB_vertex_buffer_object
glBindBufferARBProcPtr 	pfglBindBufferARB = NULL; 
glDeleteBuffersARBProcPtr 	pfglDeleteBuffersARB = NULL; 
glGenBuffersARBProcPtr 	pfglGenBuffersARB = NULL; 
glIsBufferARBProcPtr 	pfglIsBufferARB = NULL; 
glBufferDataARBProcPtr 	pfglBufferDataARB = NULL; 
glBufferSubDataARBProcPtr 	pfglBufferSubDataARB = NULL; 
glGetBufferSubDataARBProcPtr 	pfglGetBufferSubDataARB = NULL; 
glMapBufferARBProcPtr 	pfglMapBufferARB = NULL; 
glUnmapBufferARBProcPtr 	pfglUnmapBufferARB = NULL; 
glGetBufferParameterivARBProcPtr 	pfglGetBufferParameterivARB = NULL; 
glGetBufferPointervARBProcPtr 	pfglGetBufferPointervARB = NULL; 
#endif	

#if GL_ARB_draw_buffers
glDrawBuffersARBProcPtr 	pfglDrawBuffersARB = NULL; 
#endif	

#if GL_EXT_blend_color
glBlendColorEXTProcPtr 	pfglBlendColorEXT = NULL;
#endif

#if GL_EXT_polygon_offset
glPolygonOffsetEXTProcPtr 	pfglPolygonOffsetEXT = NULL; 
#endif	

#if GL_EXT_texture3D
glTexImage3DEXTProcPtr 	pfglTexImage3DEXT = NULL; 
glTexSubImage3DEXTProcPtr 	pfglTexSubImage3DEXT = NULL; 
#endif	

#if GL_EXT_subtexture
glTexSubImage1DEXTProcPtr 	pfglTexSubImage1DEXT = NULL; 
glTexSubImage2DEXTProcPtr 	pfglTexSubImage2DEXT = NULL; 
#endif	

#if GL_EXT_copy_texture
glCopyTexImage1DEXTProcPtr 	pfglCopyTexImage1DEXT = NULL; 
glCopyTexImage2DEXTProcPtr 	pfglCopyTexImage2DEXT = NULL; 
glCopyTexSubImage1DEXTProcPtr 	pfglCopyTexSubImage1DEXT = NULL; 
glCopyTexSubImage2DEXTProcPtr 	pfglCopyTexSubImage2DEXT = NULL; 
glCopyTexSubImage3DEXTProcPtr 	pfglCopyTexSubImage3DEXT = NULL; 
#endif	

#if GL_EXT_histogram
glGetHistogramEXTProcPtr 	pfglGetHistogramEXT = NULL; 
glGetHistogramParameterfvEXTProcPtr 	pfglGetHistogramParameterfvEXT = NULL; 
glGetHistogramParameterivEXTProcPtr 	pfglGetHistogramParameterivEXT = NULL; 
glGetMinmaxEXTProcPtr 	pfglGetMinmaxEXT = NULL; 
glGetMinmaxParameterfvEXTProcPtr 	pfglGetMinmaxParameterfvEXT = NULL; 
glGetMinmaxParameterivEXTProcPtr 	pfglGetMinmaxParameterivEXT = NULL; 
glHistogramEXTProcPtr 	pfglHistogramEXT = NULL; 
glMinmaxEXTProcPtr 	pfglMinmaxEXT = NULL; 
glResetHistogramEXTProcPtr 	pfglResetHistogramEXT = NULL; 
glResetMinmaxEXTProcPtr 	pfglResetMinmaxEXT = NULL; 
#endif	

#if GL_EXT_convolution
glConvolutionFilter1DEXTProcPtr 	pfglConvolutionFilter1DEXT = NULL; 
glConvolutionFilter2DEXTProcPtr 	pfglConvolutionFilter2DEXT = NULL; 
glConvolutionParameterfEXTProcPtr 	pfglConvolutionParameterfEXT = NULL; 
glConvolutionParameterfvEXTProcPtr 	pfglConvolutionParameterfvEXT = NULL; 
glConvolutionParameteriEXTProcPtr 	pfglConvolutionParameteriEXT = NULL; 
glConvolutionParameterivEXTProcPtr 	pfglConvolutionParameterivEXT = NULL; 
glCopyConvolutionFilter1DEXTProcPtr 	pfglCopyConvolutionFilter1DEXT = NULL; 
glCopyConvolutionFilter2DEXTProcPtr 	pfglCopyConvolutionFilter2DEXT = NULL; 
glGetConvolutionFilterEXTProcPtr 	pfglGetConvolutionFilterEXT = NULL; 
glGetConvolutionParameterfvEXTProcPtr 	pfglGetConvolutionParameterfvEXT = NULL; 
glGetConvolutionParameterivEXTProcPtr 	pfglGetConvolutionParameterivEXT = NULL; 
glGetSeparableFilterEXTProcPtr 	pfglGetSeparableFilterEXT = NULL; 
glSeparableFilter2DEXTProcPtr 	pfglSeparableFilter2DEXT = NULL; 
#endif	

#if GL_EXT_texture_object
glAreTexturesResidentEXTProcPtr 	pfglAreTexturesResidentEXT = NULL; 
glBindTextureEXTProcPtr 	pfglBindTextureEXT = NULL; 
glDeleteTexturesEXTProcPtr 	pfglDeleteTexturesEXT = NULL; 
glGenTexturesEXTProcPtr 	pfglGenTexturesEXT = NULL; 
glIsTextureEXTProcPtr 	pfglIsTextureEXT = NULL; 
glPrioritizeTexturesEXTProcPtr 	pfglPrioritizeTexturesEXT = NULL; 
#endif	

#if GL_EXT_vertex_array
glArrayElementEXTProcPtr 	pfglArrayElementEXT = NULL; 
glColorPointerEXTProcPtr 	pfglColorPointerEXT = NULL; 
glDrawArraysEXTProcPtr 	pfglDrawArraysEXT = NULL; 
glEdgeFlagPointerEXTProcPtr 	pfglEdgeFlagPointerEXT = NULL; 
glGetPointervEXTProcPtr 	pfglGetPointervEXT = NULL; 
glIndexPointerEXTProcPtr 	pfglIndexPointerEXT = NULL; 
glNormalPointerEXTProcPtr 	pfglNormalPointerEXT = NULL; 
glTexCoordPointerEXTProcPtr 	pfglTexCoordPointerEXT = NULL; 
glVertexPointerEXTProcPtr 	pfglVertexPointerEXT = NULL; 
#endif	

#if GL_EXT_blend_minmax
glBlendEquationEXTProcPtr 	pfglBlendEquationEXT = NULL;
#endif

#if GL_EXT_color_subtable
glCopyColorSubTableEXTProcPtr 	pfglCopyColorSubTableEXT = NULL; 
glCopyColorSubTableEXTProcPtr 	pfglCopyColorSubTableEXT = NULL;
#endif	

#if GL_EXT_paletted_texture
glColorTableEXTProcPtr 	pfglColorTableEXT = NULL;
glColorSubTableEXTProcPtr 	pfglColorSubTableEXT = NULL; 
glGetColorTableEXTProcPtr 	pfglGetColorTableEXT = NULL;
glGetColorTableParameterivEXTProcPtr 	pfglGetColorTableParameterivEXT = NULL;
glGetColorTableParameterfvEXTProcPtr 	pfglGetColorTableParameterfvEXT = NULL;
#endif

#if GL_EXT_index_material
glIndexMaterialEXTProcPtr 	pfglIndexMaterialEXT = NULL; 
#endif	

#if GL_EXT_index_func
glIndexFuncEXTProcPtr 	pfglIndexFuncEXT = NULL; 
#endif	

#if GL_EXT_compiled_vertex_array
glLockArraysEXTProcPtr 	pfglLockArraysEXT = NULL; 
glUnlockArraysEXTProcPtr 	pfglUnlockArraysEXT = NULL; 
#endif	

#if GL_EXT_cull_vertex
glCullParameterdvEXTProcPtr 	pfglCullParameterdvEXT = NULL; 
glCullParameterfvEXTProcPtr 	pfglCullParameterfvEXT = NULL; 
#endif	

#if GL_EXT_draw_range_elements
glDrawRangeElementsEXTProcPtr 	pfglDrawRangeElementsEXT = NULL;
#endif

#if GL_EXT_light_texture
glApplyTextureEXTProcPtr 	pfglApplyTextureEXT = NULL; 
glTextureLightEXTProcPtr 	pfglTextureLightEXT = NULL; 
glTextureMaterialEXTProcPtr 	pfglTextureMaterialEXT = NULL; 
#endif	

#if GL_EXT_pixel_transform
glPixelTransformParameteriEXTProcPtr 	pfglPixelTransformParameteriEXT = NULL; 
glPixelTransformParameterfEXTProcPtr 	pfglPixelTransformParameterfEXT = NULL; 
glPixelTransformParameterivEXTProcPtr 	pfglPixelTransformParameterivEXT = NULL; 
glPixelTransformParameterfvEXTProcPtr 	pfglPixelTransformParameterfvEXT = NULL; 
#endif	

#if GL_EXT_secondary_color
glSecondaryColor3bEXTProcPtr 	pfglSecondaryColor3bEXT = NULL;
glSecondaryColor3bvEXTProcPtr 	pfglSecondaryColor3bvEXT = NULL;
glSecondaryColor3dEXTProcPtr 	pfglSecondaryColor3dEXT = NULL;
glSecondaryColor3dvEXTProcPtr 	pfglSecondaryColor3dvEXT = NULL;
glSecondaryColor3fEXTProcPtr 	pfglSecondaryColor3fEXT = NULL;
glSecondaryColor3fvEXTProcPtr 	pfglSecondaryColor3fvEXT = NULL;
glSecondaryColor3iEXTProcPtr 	pfglSecondaryColor3iEXT = NULL;
glSecondaryColor3ivEXTProcPtr 	pfglSecondaryColor3ivEXT = NULL;
glSecondaryColor3sEXTProcPtr 	pfglSecondaryColor3sEXT = NULL;
glSecondaryColor3svEXTProcPtr 	pfglSecondaryColor3svEXT = NULL;
glSecondaryColor3ubEXTProcPtr 	pfglSecondaryColor3ubEXT = NULL;
glSecondaryColor3ubvEXTProcPtr 	pfglSecondaryColor3ubvEXT = NULL;
glSecondaryColor3uiEXTProcPtr 	pfglSecondaryColor3uiEXT = NULL;
glSecondaryColor3uivEXTProcPtr 	pfglSecondaryColor3uivEXT = NULL;
glSecondaryColor3usEXTProcPtr 	pfglSecondaryColor3usEXT = NULL;
glSecondaryColor3usvEXTProcPtr 	pfglSecondaryColor3usvEXT = NULL;
glSecondaryColorPointerEXTProcPtr 	pfglSecondaryColorPointerEXT = NULL;
#endif

#if GL_EXT__perturb_normal
glTextureNormalEXTProcPtr 	pfglTextureNormalEXT = NULL; 
#endif	

#if GL_EXT_multi_draw_arrays
glMultiDrawArraysEXTProcPtr 	pfglMultiDrawArraysEXT = NULL;
glMultiDrawElementsEXTProcPtr 	pfglMultiDrawElementsEXT = NULL;
#endif

#if GL_EXT_fog_coord
glFogCoordfEXTProcPtr 	pfglFogCoordfEXT = NULL;
glFogCoordfvEXTProcPtr 	pfglFogCoordfvEXT = NULL;
glFogCoorddEXTProcPtr 	pfglFogCoorddEXT = NULL;
glFogCoorddvEXTProcPtr 	pfglFogCoorddvEXT = NULL;
glFogCoordPointerEXTProcPtr 	pfglFogCoordPointerEXT = NULL;
#endif

#if GL_EXT_coordinate_frame
glTangent3bEXTProcPtr 	pfglTangent3bEXT = NULL; 
glTangent3bvEXTProcPtr 	pfglTangent3bvEXT = NULL; 
glTangent3dEXTProcPtr 	pfglTangent3dEXT = NULL; 
glTangent3dvEXTProcPtr 	pfglTangent3dvEXT = NULL; 
glTangent3fEXTProcPtr 	pfglTangent3fEXT = NULL; 
glTangent3fvEXTProcPtr 	pfglTangent3fvEXT = NULL; 
glTangent3iEXTProcPtr 	pfglTangent3iEXT = NULL; 
glTangent3ivEXTProcPtr 	pfglTangent3ivEXT = NULL; 
glTangent3sEXTProcPtr 	pfglTangent3sEXT = NULL; 
glTangent3svEXTProcPtr 	pfglTangent3svEXT = NULL; 
glBinormal3bEXTProcPtr 	pfglBinormal3bEXT = NULL; 
glBinormal3bvEXTProcPtr 	pfglBinormal3bvEXT = NULL; 
glBinormal3dEXTProcPtr 	pfglBinormal3dEXT = NULL; 
glBinormal3dvEXTProcPtr 	pfglBinormal3dvEXT = NULL; 
glBinormal3fEXTProcPtr 	pfglBinormal3fEXT = NULL; 
glBinormal3fvEXTProcPtr 	pfglBinormal3fvEXT = NULL; 
glBinormal3iEXTProcPtr 	pfglBinormal3iEXT = NULL; 
glBinormal3ivEXTProcPtr 	pfglBinormal3ivEXT = NULL; 
glBinormal3sEXTProcPtr 	pfglBinormal3sEXT = NULL; 
glBinormal3svEXTProcPtr 	pfglBinormal3svEXT = NULL; 
glTangentPointerEXTProcPtr 	pfglTangentPointerEXT = NULL; 
glBinormalPointerEXTProcPtr 	pfglBinormalPointerEXT = NULL; 
#endif	

#if GL_EXT_blend_func_separate
glBlendFuncSeparateEXTProcPtr 	pfglBlendFuncSeparateEXT = NULL;
#endif

#if GL_EXT_vertex_weighting
glVertexWeightfEXTProcPtr	pfglVertexWeightfEXT = NULL;
glVertexWeightfvEXTProcPtr	pfglVertexWeightfvEXT = NULL;
glVertexWeightPointerEXTProcPtr	pfglVertexWeightPointerEXT = NULL;
#endif	

#if GL_EXT_vertex_shader
glBeginVertexShaderEXTProcPtr 	pfglBeginVertexShaderEXT = NULL; 
glEndVertexShaderEXTProcPtr 	pfglEndVertexShaderEXT = NULL; 
glBindVertexShaderEXTProcPtr 	pfglBindVertexShaderEXT = NULL; 
glGenVertexShadersEXTProcPtr 	pfglGenVertexShadersEXT = NULL; 
glDeleteVertexShaderEXTProcPtr 	pfglDeleteVertexShaderEXT = NULL; 
glShaderOp1EXTProcPtr 	pfglShaderOp1EXT = NULL; 
glShaderOp2EXTProcPtr 	pfglShaderOp2EXT = NULL; 
glShaderOp3EXTProcPtr 	pfglShaderOp3EXT = NULL; 
glSwizzleEXTProcPtr 	pfglSwizzleEXT = NULL; 
glWriteMaskEXTProcPtr 	pfglWriteMaskEXT = NULL; 
glInsertComponentEXTProcPtr 	pfglInsertComponentEXT = NULL; 
glExtractComponentEXTProcPtr 	pfglExtractComponentEXT = NULL; 
glGenSymbolsEXTProcPtr 	pfglGenSymbolsEXT = NULL; 
glSetInvariantEXTProcPtr 	pfglSetInvariantEXT = NULL; 
glSetLocalConstantEXTProcPtr 	pfglSetLocalConstantEXT = NULL; 
glVariantbvEXTProcPtr 	pfglVariantbvEXT = NULL; 
glVariantdvEXTProcPtr 	pfglVariantdvEXT = NULL; 
glVariantfvEXTProcPtr 	pfglVariantfvEXT = NULL; 
glVariantivEXTProcPtr 	pfglVariantivEXT = NULL; 
glVariantsvEXTProcPtr 	pfglVariantsvEXT = NULL; 
glVariantubvEXTProcPtr 	pfglVariantubvEXT = NULL; 
glVariantuivEXTProcPtr 	pfglVariantuivEXT = NULL; 
glVariantusvEXTProcPtr 	pfglVariantusvEXT = NULL; 
glVariantPointerEXTProcPtr 	pfglVariantPointerEXT = NULL; 
glEnableVariantClientStateEXTProcPtr 	pfglEnableVariantClientStateEXT = NULL; 
glDisableVariantClientStateEXTProcPtr 	pfglDisableVariantClientStateEXT = NULL; 
glBindLightParameterEXTProcPtr 	pfglBindLightParameterEXT = NULL; 
glBindMaterialParameterEXTProcPtr 	pfglBindMaterialParameterEXT = NULL; 
glBindTexGenParameterEXTProcPtr 	pfglBindTexGenParameterEXT = NULL; 
glBindTextureUnitParameterEXTProcPtr 	pfglBindTextureUnitParameterEXT = NULL; 
glBindParameterEXTProcPtr 	pfglBindParameterEXT = NULL; 
glIsVariantEnabledEXTProcPtr 	pfglIsVariantEnabledEXT = NULL; 
glGetVariantBooleanvEXTProcPtr 	pfglGetVariantBooleanvEXT = NULL; 
glGetVariantIntegervEXTProcPtr 	pfglGetVariantIntegervEXT = NULL; 
glGetVariantFloatvEXTProcPtr 	pfglGetVariantFloatvEXT = NULL; 
glGetVariantPointervEXTProcPtr 	pfglGetVariantPointervEXT = NULL; 
glGetInvariantBooleanvEXTProcPtr 	pfglGetInvariantBooleanvEXT = NULL; 
glGetInvariantIntegervEXTProcPtr 	pfglGetInvariantIntegervEXT = NULL; 
glGetInvariantFloatvEXTProcPtr 	pfglGetInvariantFloatvEXT = NULL; 
glGetLocalConstantBooleanvEXTProcPtr 	pfglGetLocalConstantBooleanvEXT = NULL; 
glGetLocalConstantIntegervEXTProcPtr 	pfglGetLocalConstantIntegervEXT = NULL; 
glGetLocalConstantFloatvEXTProcPtr 	pfglGetLocalConstantFloatvEXT = NULL; 
#endif	

#if GL_EXT_fragment_shader
glGenFragmentShadersEXTProcPtr 	pfglGenFragmentShadersEXT = NULL; 
glBindFragmentShaderEXTProcPtr 	pfglBindFragmentShaderEXT = NULL; 
glDeleteFragmentShaderEXTProcPtr 	pfglDeleteFragmentShaderEXT = NULL; 
glBeginFragmentShaderEXTProcPtr 	pfglBeginFragmentShaderEXT = NULL; 
glEndFragmentShaderEXTProcPtr 	pfglEndFragmentShaderEXT = NULL; 
glPassTexCoordEXTProcPtr 	pfglPassTexCoordEXT = NULL; 
glSampleMapEXTProcPtr 	pfglSampleMapEXT = NULL; 
glColorFragmentOp1EXTProcPtr 	pfglColorFragmentOp1EXT = NULL; 
glColorFragmentOp2EXTProcPtr 	pfglColorFragmentOp2EXT = NULL; 
glColorFragmentOp3EXTProcPtr 	pfglColorFragmentOp3EXT = NULL; 
glAlphaFragmentOp1EXTProcPtr 	pfglAlphaFragmentOp1EXT = NULL; 
glAlphaFragmentOp2EXTProcPtr 	pfglAlphaFragmentOp2EXT = NULL; 
glAlphaFragmentOp3EXTProcPtr 	pfglAlphaFragmentOp3EXT = NULL; 
glSetFragmentShaderConstantEXTProcPtr 	pfglSetFragmentShaderConstantEXT = NULL; 
#endif	

#if GL_EXT_multisample
glSampleMaskEXTProcPtr 	pfglSampleMaskEXT = NULL; 
glSamplePatternEXTProcPtr 	pfglSamplePatternEXT = NULL; 
#endif	

#if GL_EXT_depth_bounds_test
glDepthBoundsEXTProcPtr 	pfglDepthBoundsEXT = NULL; 
#endif	

#if GL_EXT_blend_equation_separate
glBlendEquationSeparateEXTProcPtr 	pfglBlendEquationSeparateEXT = NULL; 
#endif	

#if GL_EXT_framebuffer_object
glIsRenderbufferEXTProcPtr 	pfglIsRenderbufferEXT = NULL; 
glBindRenderbufferEXTProcPtr 	pfglBindRenderbufferEXT = NULL; 
glDeleteRenderbuffersEXTProcPtr 	pfglDeleteRenderbuffersEXT = NULL; 
glGenRenderbuffersEXTProcPtr 	pfglGenRenderbuffersEXT = NULL; 
glRenderbufferStorageEXTProcPtr 	pfglRenderbufferStorageEXT = NULL; 
glGetRenderbufferParameterivEXTProcPtr 	pfglGetRenderbufferParameterivEXT = NULL; 
glIsFramebufferEXTProcPtr 	pfglIsFramebufferEXT = NULL; 
glBindFramebufferEXTProcPtr 	pfglBindFramebufferEXT = NULL; 
glDeleteFramebuffersEXTProcPtr 	pfglDeleteFramebuffersEXT = NULL; 
glGenFramebuffersEXTProcPtr 	pfglGenFramebuffersEXT = NULL; 
glCheckFramebufferStatusEXTProcPtr 	pfglCheckFramebufferStatusEXT = NULL; 
glFramebufferTexture1DEXTProcPtr 	pfglFramebufferTexture1DEXT = NULL; 
glFramebufferTexture2DEXTProcPtr 	pfglFramebufferTexture2DEXT = NULL; 
glFramebufferTexture3DEXTProcPtr 	pfglFramebufferTexture3DEXT = NULL; 
glFramebufferRenderbufferEXTProcPtr 	pfglFramebufferRenderbufferEXT = NULL; 
glGetFramebufferAttachmentParameterivEXTProcPtr 	pfglGetFramebufferAttachmentParameterivEXT = NULL; 
glGenerateMipmapEXTProcPtr 	pfglGenerateMipmapEXT = NULL; 
#endif	

#if GL_APPLE_element_array
glMultiDrawElementArrayAPPLEProcPtr 	pfglMultiDrawElementArrayAPPLE = NULL; 
glMultiDrawRangeElementArrayAPPLEProcPtr 	pfglMultiDrawRangeElementArrayAPPLE = NULL; 
#endif	

#if GL_APPLE_flush_render
glFlushRenderAPPLEProcPtr 	pfglFlushRenderAPPLE = NULL; 
glFinishRenderAPPLEProcPtr 	pfglFinishRenderAPPLE = NULL; 
glSwapAPPLEProcPtr 	pfglSwapAPPLE = NULL; 
#endif	

#if GL_ATI_separate_stencil
glStencilOpSeparateATIProcPtr 	pfglStencilOpSeparateATI = NULL; 
glStencilFuncSeparateATIProcPtr 	pfglStencilFuncSeparateATI = NULL; 
#endif	

#if GL_HP_image_transform
glImageTransformParameteriHPProcPtr 	pfglImageTransformParameteriHP = NULL; 
glImageTransformParameterfHPProcPtr 	pfglImageTransformParameterfHP = NULL; 
glImageTransformParameterivHPProcPtr 	pfglImageTransformParameterivHP = NULL; 
glImageTransformParameterfvHPProcPtr 	pfglImageTransformParameterfvHP = NULL; 
glGetImageTransformParameterivHPProcPtr 	pfglGetImageTransformParameterivHP = NULL; 
glGetImageTransformParameterfvHPProcPtr 	pfglGetImageTransformParameterfvHP = NULL; 
#endif	

#if GL_IBM_multimode_draw_arrays
glMultiModeDrawArraysIBMProcPtr 	pfglMultiModeDrawArraysIBM = NULL; 
glMultiModeDrawElementsIBMProcPtr 	pfglMultiModeDrawElementsIBM = NULL; 
#endif	

#if GL_IBM_vertex_array_lists
glColorPointerListIBMProcPtr 	pfglColorPointerListIBM = NULL; 
glSecondaryColorPointerListIBMProcPtr 	pfglSecondaryColorPointerListIBM = NULL; 
glEdgeFlagPointerListIBMProcPtr 	pfglEdgeFlagPointerListIBM = NULL; 
glFogCoordPointerListIBMProcPtr 	pfglFogCoordPointerListIBM = NULL; 
glIndexPointerListIBMProcPtr 	pfglIndexPointerListIBM = NULL; 
glNormalPointerListIBMProcPtr 	pfglNormalPointerListIBM = NULL; 
glTexCoordPointerListIBMProcPtr 	pfglTexCoordPointerListIBM = NULL; 
glVertexPointerListIBMProcPtr 	pfglVertexPointerListIBM = NULL; 
#endif	

#if GL_INTEL_parallel_arrays
glVertexPointervINTELProcPtr 	pfglVertexPointervINTEL = NULL; 
glNormalPointervINTELProcPtr 	pfglNormalPointervINTEL = NULL; 
glColorPointervINTELProcPtr 	pfglColorPointervINTEL = NULL; 
glTexCoordPointervINTELProcPtr 	pfglTexCoordPointervINTEL = NULL; 
#endif	

#if GL_MESA_resize_buffers
glResizeBuffersMESAProcPtr 	pfglResizeBuffersMESA = NULL; 
#endif	

#if GL_NV_vertex_array_range
glFlushVertexArrayRangeNVProcPtr 	pfglFlushVertexArrayRangeNV = NULL; 
glVertexArrayRangeNVProcPtr 	pfglVertexArrayRangeNV = NULL; 
#endif	

#if GL_NV_vertex_program
glBindProgramNVProcPtr 	pfglBindProgramNV = NULL; 
glDeleteProgramsNVProcPtr 	pfglDeleteProgramsNV = NULL; 
glExecuteProgramNVProcPtr 	pfglExecuteProgramNV = NULL; 
glGenProgramsNVProcPtr 	pfglGenProgramsNV = NULL; 
glAreProgramsResidentNVProcPtr 	pfglAreProgramsResidentNV = NULL; 
glRequestResidentProgramsNVProcPtr 	pfglRequestResidentProgramsNV = NULL; 
glGetProgramParameterfvNVProcPtr 	pfglGetProgramParameterfvNV = NULL; 
glGetProgramParameterdvNVProcPtr 	pfglGetProgramParameterdvNV = NULL; 
glGetProgramivNVProcPtr 	pfglGetProgramivNV = NULL; 
glGetProgramStringNVProcPtr 	pfglGetProgramStringNV = NULL; 
glGetTrackMatrixivNVProcPtr 	pfglGetTrackMatrixivNV = NULL; 
glGetVertexAttribdvNVProcPtr 	pfglGetVertexAttribdvNV = NULL; 
glGetVertexAttribfvNVProcPtr 	pfglGetVertexAttribfvNV = NULL; 
glGetVertexAttribivNVProcPtr 	pfglGetVertexAttribivNV = NULL; 
glGetVertexAttribPointervNVProcPtr 	pfglGetVertexAttribPointervNV = NULL; 
glIsProgramNVProcPtr 	pfglIsProgramNV = NULL; 
glLoadProgramNVProcPtr 	pfglLoadProgramNV = NULL; 
glProgramParameter4fNVProcPtr 	pfglProgramParameter4fNV = NULL; 
glProgramParameter4dNVProcPtr 	pfglProgramParameter4dNV = NULL; 
glProgramParameter4dvNVProcPtr 	pfglProgramParameter4dvNV = NULL; 
glProgramParameter4fvNVProcPtr 	pfglProgramParameter4fvNV = NULL; 
glProgramParameters4dvNVProcPtr 	pfglProgramParameters4dvNV = NULL; 
glProgramParameters4fvNVProcPtr 	pfglProgramParameters4fvNV = NULL; 
glTrackMatrixNVProcPtr 	pfglTrackMatrixNV = NULL; 
glVertexAttribPointerNVProcPtr 	pfglVertexAttribPointerNV = NULL; 
glVertexAttrib1sNVProcPtr 	pfglVertexAttrib1sNV = NULL; 
glVertexAttrib1fNVProcPtr 	pfglVertexAttrib1fNV = NULL; 
glVertexAttrib1dNVProcPtr 	pfglVertexAttrib1dNV = NULL; 
glVertexAttrib2sNVProcPtr 	pfglVertexAttrib2sNV = NULL; 
glVertexAttrib2fNVProcPtr 	pfglVertexAttrib2fNV = NULL; 
glVertexAttrib2dNVProcPtr 	pfglVertexAttrib2dNV = NULL; 
glVertexAttrib3sNVProcPtr 	pfglVertexAttrib3sNV = NULL; 
glVertexAttrib3fNVProcPtr 	pfglVertexAttrib3fNV = NULL; 
glVertexAttrib3dNVProcPtr 	pfglVertexAttrib3dNV = NULL; 
glVertexAttrib4sNVProcPtr 	pfglVertexAttrib4sNV = NULL; 
glVertexAttrib4fNVProcPtr 	pfglVertexAttrib4fNV = NULL; 
glVertexAttrib4dNVProcPtr 	pfglVertexAttrib4dNV = NULL; 
glVertexAttrib4ubNVProcPtr 	pfglVertexAttrib4ubNV = NULL; 
glVertexAttrib1svNVProcPtr 	pfglVertexAttrib1svNV = NULL; 
glVertexAttrib1fvNVProcPtr 	pfglVertexAttrib1fvNV = NULL; 
glVertexAttrib1dvNVProcPtr 	pfglVertexAttrib1dvNV = NULL; 
glVertexAttrib2svNVProcPtr 	pfglVertexAttrib2svNV = NULL; 
glVertexAttrib2fvNVProcPtr 	pfglVertexAttrib2fvNV = NULL; 
glVertexAttrib2dvNVProcPtr 	pfglVertexAttrib2dvNV = NULL; 
glVertexAttrib3svNVProcPtr 	pfglVertexAttrib3svNV = NULL; 
glVertexAttrib3fvNVProcPtr 	pfglVertexAttrib3fvNV = NULL; 
glVertexAttrib3dvNVProcPtr 	pfglVertexAttrib3dvNV = NULL; 
glVertexAttrib4svNVProcPtr 	pfglVertexAttrib4svNV = NULL; 
glVertexAttrib4fvNVProcPtr 	pfglVertexAttrib4fvNV = NULL; 
glVertexAttrib4dvNVProcPtr 	pfglVertexAttrib4dvNV = NULL; 
glVertexAttrib4ubvNVProcPtr 	pfglVertexAttrib4ubvNV = NULL; 
glVertexAttribs1svNVProcPtr 	pfglVertexAttribs1svNV = NULL; 
glVertexAttribs1fvNVProcPtr 	pfglVertexAttribs1fvNV = NULL; 
glVertexAttribs1dvNVProcPtr 	pfglVertexAttribs1dvNV = NULL; 
glVertexAttribs2svNVProcPtr 	pfglVertexAttribs2svNV = NULL; 
glVertexAttribs2fvNVProcPtr 	pfglVertexAttribs2fvNV = NULL; 
glVertexAttribs2dvNVProcPtr 	pfglVertexAttribs2dvNV = NULL; 
glVertexAttribs3svNVProcPtr 	pfglVertexAttribs3svNV = NULL; 
glVertexAttribs3fvNVProcPtr 	pfglVertexAttribs3fvNV = NULL; 
glVertexAttribs3dvNVProcPtr 	pfglVertexAttribs3dvNV = NULL; 
glVertexAttribs4svNVProcPtr 	pfglVertexAttribs4svNV = NULL; 
glVertexAttribs4fvNVProcPtr 	pfglVertexAttribs4fvNV = NULL; 
glVertexAttribs4dvNVProcPtr 	pfglVertexAttribs4dvNV = NULL; 
glVertexAttribs4ubvNVProcPtr 	pfglVertexAttribs4ubvNV = NULL; 
#endif	

#if GL_PGI_misc_hints
glHintPGIProcPtr 	pfglHintPGI = NULL; 
#endif	

#if GL_SGI_color_table
glColorTableSGIProcPtr 	pfglColorTableSGI = NULL; 
glColorTableParameterfvSGIProcPtr 	pfglColorTableParameterfvSGI = NULL; 
glColorTableParameterivSGIProcPtr 	pfglColorTableParameterivSGI = NULL; 
glCopyColorTableSGIProcPtr 	pfglCopyColorTableSGI = NULL; 
glGetColorTableSGIProcPtr 	pfglGetColorTableSGI = NULL; 
glGetColorTableParameterfvSGIProcPtr 	pfglGetColorTableParameterfvSGI = NULL; 
glGetColorTableParameterivSGIProcPtr 	pfglGetColorTableParameterivSGI = NULL; 
#endif	

#if GL_SGIS_texture_filter4
glGetTexFilterFuncSGISProcPtr 	pfglGetTexFilterFuncSGIS = NULL; 
glTexFilterFuncSGISProcPtr 	pfglTexFilterFuncSGIS = NULL; 
#endif	

#if GL_SGIS_pixel_texture
glPixelTexGenParameteriSGISProcPtr 	pfglPixelTexGenParameteriSGIS = NULL; 
glPixelTexGenParameterivSGISProcPtr 	pfglPixelTexGenParameterivSGIS = NULL; 
glPixelTexGenParameterfSGISProcPtr 	pfglPixelTexGenParameterfSGIS = NULL; 
glPixelTexGenParameterfvSGISProcPtr 	pfglPixelTexGenParameterfvSGIS = NULL; 
glGetPixelTexGenParameterivSGISProcPtr 	pfglGetPixelTexGenParameterivSGIS = NULL; 
glGetPixelTexGenParameterfvSGISProcPtr 	pfglGetPixelTexGenParameterfvSGIS = NULL; 
#endif	

#if GL_SGIS_texture4D
glTexImage4DSGISProcPtr 	pfglTexImage4DSGIS = NULL; 
glTexSubImage4DSGISProcPtr   	pfglTexSubImage4DSGISProcPtr   
#endif	

#if GL_SGIS_detail_texture
glDetailTexFuncSGISProcPtr 	pfglDetailTexFuncSGIS = NULL; 
glGetDetailTexFuncSGISProcPtr 	pfglGetDetailTexFuncSGIS = NULL; 
#endif	

#if GL_SGIS_sharpen_texture
glSharpenTexFuncSGISProcPtr 	pfglSharpenTexFuncSGIS = NULL; 
glGetSharpenTexFuncSGISProcPtr 	pfglGetSharpenTexFuncSGIS = NULL; 
#endif	

#if GL_SGIS_multisample
glSampleMaskSGISProcPtr 	pfglSampleMaskSGIS = NULL; 
glSamplePatternSGISProcPtr 	pfglSamplePatternSGIS = NULL; 
#endif	

#if GL_SGIS_fog_function
glFogFuncSGISProcPtr 	pfglFogFuncSGIS = NULL; 
glGetFogFuncSGISProcPtr 	pfglGetFogFuncSGIS = NULL; 
#endif	

#if GL_SGIS__color_mask
glTextureColorMaskSGISProcPtr 	pfglTextureColorMaskSGIS = NULL; 
#endif	

#if GL_SGIX_pixel_texture
glPixelTexGenSGIXProcPtr 	pfglPixelTexGenSGIX = NULL; 
#endif	

#if GL_SGIX_sprite
glSpriteParameterfSGIXProcPtr 	pfglSpriteParameterfSGIX = NULL; 
glSpriteParameterfvSGIXProcPtr 	pfglSpriteParameterfvSGIX = NULL; 
glSpriteParameteriSGIXProcPtr 	pfglSpriteParameteriSGIX = NULL; 
glSpriteParameterivSGIXProcPtr 	pfglSpriteParameterivSGIX = NULL; 
#endif	

#if GL_SGIX_instruments
glGetInstrumentsSGIXProcPtr 	pfglGetInstrumentsSGIX = NULL; 
glInstrumentsBufferSGIXProcPtr 	pfglInstrumentsBufferSGIX = NULL; 
glPollInstrumentsSGIXProcPtr 	pfglPollInstrumentsSGIX = NULL; 
glReadInstrumentsSGIXProcPtr 	pfglReadInstrumentsSGIX = NULL; 
glStartInstrumentsSGIXProcPtr 	pfglStartInstrumentsSGIX = NULL; 
glStopInstrumentsSGIXProcPtr 	pfglStopInstrumentsSGIX = NULL; 
#endif	

#if GL_SGIX_framezoom
glFrameZoomSGIXProcPtr 	pfglFrameZoomSGIX = NULL; 
#endif	

#if GL_SGIX_tag_sample_buffer
glTagSampleBufferSGIXProcPtr 	pfglTagSampleBufferSGIX = NULL; 
#endif	

#if GL_SGIX_polynomial_ffd
glDeformationMap3dSGIXProcPtr    	pfglDeformationMap3dSGIX = NULL;
glDeformationMap3fSGIXProcPtr    	pfglDeformationMap3fSGIX = NULL;
glDeformSGIXProcPtr 	pfglDeformSGIX = NULL; 
glLoadIdentityDeformationMapSGIXProcPtr 	pfglLoadIdentityDeformationMapSGIX = NULL; 
#endif	

#if GL_SGIX_reference_plane
glReferencePlaneSGIXProcPtr 	pfglReferencePlaneSGIX = NULL; 
#endif	

#if GL_SGIX_flush_raster
glFlushRasterSGIXProcPtr 	pfglFlushRasterSGIX = NULL; 
#endif	

#if GL_SGIX_list_priority
glGetListParameterfvSGIXProcPtr 	pfglGetListParameterfvSGIX = NULL; 
glGetListParameterivSGIXProcPtr 	pfglGetListParameterivSGIX = NULL; 
glListParameterfSGIXProcPtr 	pfglListParameterfSGIX = NULL; 
glListParameterfvSGIXProcPtr 	pfglListParameterfvSGIX = NULL; 
glListParameteriSGIXProcPtr 	pfglListParameteriSGIX = NULL; 
glListParameterivSGIXProcPtr 	pfglListParameterivSGIX = NULL; 
#endif	

#if GL_SGIX_fragment_lighting
glFragmentColorMaterialSGIXProcPtr 	pfglFragmentColorMaterialSGIX = NULL; 
glFragmentLightfSGIXProcPtr 	pfglFragmentLightfSGIX = NULL; 
glFragmentLightfvSGIXProcPtr 	pfglFragmentLightfvSGIX = NULL; 
glFragmentLightiSGIXProcPtr 	pfglFragmentLightiSGIX = NULL; 
glFragmentLightivSGIXProcPtr 	pfglFragmentLightivSGIX = NULL; 
glFragmentLightModelfSGIXProcPtr 	pfglFragmentLightModelfSGIX = NULL; 
glFragmentLightModelfvSGIXProcPtr 	pfglFragmentLightModelfvSGIX = NULL; 
glFragmentLightModeliSGIXProcPtr 	pfglFragmentLightModeliSGIX = NULL; 
glFragmentLightModelivSGIXProcPtr 	pfglFragmentLightModelivSGIX = NULL; 
glFragmentMaterialfSGIXProcPtr 	pfglFragmentMaterialfSGIX = NULL; 
glFragmentMaterialfvSGIXProcPtr 	pfglFragmentMaterialfvSGIX = NULL; 
glFragmentMaterialiSGIXProcPtr 	pfglFragmentMaterialiSGIX = NULL; 
glFragmentMaterialivSGIXProcPtr 	pfglFragmentMaterialivSGIX = NULL; 
glGetFragmentLightfvSGIXProcPtr 	pfglGetFragmentLightfvSGIX = NULL; 
glGetFragmentLightivSGIXProcPtr 	pfglGetFragmentLightivSGIX = NULL; 
glGetFragmentMaterialfvSGIXProcPtr 	pfglGetFragmentMaterialfvSGIX = NULL; 
glGetFragmentMaterialivSGIXProcPtr 	pfglGetFragmentMaterialivSGIX = NULL; 
glLightEnviSGIXProcPtr 	pfglLightEnviSGIX = NULL; 
#endif	

#if GL_SGIX_async
glAsyncMarkerSGIXProcPtr 	pfglAsyncMarkerSGIX = NULL; 
glFinishAsyncSGIXProcPtr 	pfglFinishAsyncSGIX = NULL; 
glPollAsyncSGIXProcPtr 	pfglPollAsyncSGIX = NULL; 
glGenAsyncMarkersSGIXProcPtr 	pfglGenAsyncMarkersSGIX = NULL; 
glDeleteAsyncMarkersSGIXProcPtr 	pfglDeleteAsyncMarkersSGIX = NULL; 
glIsAsyncMarkerSGIXProcPtr 	pfglIsAsyncMarkerSGIX = NULL; 
#endif	

#if GL_SGIX_igloo_interface
glIglooInterfaceSGIXProcPtr 	pfglIglooInterfaceSGIX = NULL; 
#endif	

#if GL_SUN_global_alpha
glGlobalAlphaFactorbSUNProcPtr 	pfglGlobalAlphaFactorbSUN = NULL; 
glGlobalAlphaFactorsSUNProcPtr 	pfglGlobalAlphaFactorsSUN = NULL; 
glGlobalAlphaFactoriSUNProcPtr 	pfglGlobalAlphaFactoriSUN = NULL; 
glGlobalAlphaFactorfSUNProcPtr 	pfglGlobalAlphaFactorfSUN = NULL; 
glGlobalAlphaFactordSUNProcPtr 	pfglGlobalAlphaFactordSUN = NULL; 
glGlobalAlphaFactorubSUNProcPtr 	pfglGlobalAlphaFactorubSUN = NULL; 
glGlobalAlphaFactorusSUNProcPtr 	pfglGlobalAlphaFactorusSUN = NULL; 
glGlobalAlphaFactoruiSUNProcPtr 	pfglGlobalAlphaFactoruiSUN = NULL; 
#endif	

#if GL_SUN_triangle_list
glReplacementCodeuiSUNProcPtr 	pfglReplacementCodeuiSUN = NULL; 
glReplacementCodeusSUNProcPtr 	pfglReplacementCodeusSUN = NULL; 
glReplacementCodeubSUNProcPtr 	pfglReplacementCodeubSUN = NULL; 
glReplacementCodeuivSUNProcPtr 	pfglReplacementCodeuivSUN = NULL; 
glReplacementCodeusvSUNProcPtr 	pfglReplacementCodeusvSUN = NULL; 
glReplacementCodeubvSUNProcPtr 	pfglReplacementCodeubvSUN = NULL; 
glReplacementCodePointerSUNProcPtr 	pfglReplacementCodePointerSUN = NULL; 
#endif	

#if GL_SUN_vertex
glColor4ubVertex2fSUNProcPtr 	pfglColor4ubVertex2fSUN = NULL;
glColor4ubVertex2fvSUNProcPtr 	pfglColor4ubVertex2fvSUN = NULL;
glColor4ubVertex3fSUNProcPtr 	pfglColor4ubVertex3fSUN = NULL;
glColor4ubVertex3fvSUNProcPtr 	pfglColor4ubVertex3fvSUN = NULL;
glColor3fVertex3fSUNProcPtr 	pfglColor3fVertex3fSUN = NULL;
glColor3fVertex3fvSUNProcPtr 	pfglColor3fVertex3fvSUN = NULL;
glNormal3fVertex3fSUNProcPtr 	pfglNormal3fVertex3fSUN = NULL;
glNormal3fVertex3fvSUNProcPtr 	pfglNormal3fVertex3fvSUN = NULL;
glColor4fNormal3fVertex3fSUNProcPtr 	pfglColor4fNormal3fVertex3fSUN = NULL;
glColor4fNormal3fVertex3fvSUNProcPtr 	pfglColor4fNormal3fVertex3fvSUN = NULL;
glTexCoord2fVertex3fSUNProcPtr 	pfglTexCoord2fVertex3fSUN = NULL;
glTexCoord2fVertex3fvSUNProcPtr 	pfglTexCoord2fVertex3fvSUN = NULL;
glTexCoord4fVertex4fSUNProcPtr 	pfglTexCoord4fVertex4fSUN = NULL;
glTexCoord4fVertex4fvSUNProcPtr 	pfglTexCoord4fVertex4fvSUN = NULL;
glTexCoord2fColor4ubVertex3fSUNProcPtr 	pfglTexCoord2fColor4ubVertex3fSUN = NULL;
glTexCoord2fColor4ubVertex3fvSUNProcPtr 	pfglTexCoord2fColor4ubVertex3fvSUN = NULL;
glTexCoord2fColor3fVertex3fSUNProcPtr 	pfglTexCoord2fColor3fVertex3fSUN = NULL;
glTexCoord2fColor3fVertex3fvSUNProcPtr 	pfglTexCoord2fColor3fVertex3fvSUN = NULL;
glTexCoord2fNormal3fVertex3fSUNProcPtr 	pfglTexCoord2fNormal3fVertex3fSUN = NULL;
glTexCoord2fNormal3fVertex3fvSUNProcPtr 	pfglTexCoord2fNormal3fVertex3fvSUN = NULL;
glTexCoord2fColor4fNormal3fVertex3fSUNProcPtr  	pfglTexCoord2fColor4fNormal3fVertex3fSUN = NULL;
glTexCoord2fColor4fNormal3fVertex3fvSUNProcPtr 	pfglTexCoord2fColor4fNormal3fVertex3fvSUN = NULL;
glTexCoord4fColor4fNormal3fVertex4fSUNProcPtr     	pfglTexCoord4fColor4fNormal3fVertex4fSUN = NULL;
glTexCoord4fColor4fNormal3fVertex4fvSUNProcPtr 	pfglTexCoord4fColor4fNormal3fVertex4fvSUN = NULL;
glReplacementCodeuiVertex3fSUNProcPtr 	pfglReplacementCodeuiVertex3fSUN = NULL;
glReplacementCodeuiVertex3fvSUNProcPtr 	pfglReplacementCodeuiVertex3fvSUN = NULL;
glReplacementCodeuiColor4ubVertex3fSUNProcPtr 	pfglReplacementCodeuiColor4ubVertex3fSUN = NULL;
glReplacementCodeuiColor4ubVertex3fvSUNProcPtr 	pfglReplacementCodeuiColor4ubVertex3fvSUN = NULL;
glReplacementCodeuiColor3fVertex3fSUNProcPtr 	pfglReplacementCodeuiColor3fVertex3fSUN = NULL;
glReplacementCodeuiColor3fVertex3fvSUNProcPtr 	pfglReplacementCodeuiColor3fVertex3fvSUN = NULL; 
glReplacementCodeuiNormal3fVertex3fSUNProcPtr 	pfglReplacementCodeuiNormal3fVertex3fSUN = NULL;
glReplacementCodeuiNormal3fVertex3fvSUNProcPtr 	pfglReplacementCodeuiNormal3fVertex3fvSUN = NULL;
glReplacementCodeuiColor4fNormal3fVertex3fSUNProcPtr 	pfglReplacementCodeuiColor4fNormal3fVertex3fSUN = NULL;
glReplacementCodeuiColor4fNormal3fVertex3fvSUNProcPtr 	pfglReplacementCodeuiColor4fNormal3fVertex3fvSUN = NULL;
glReplacementCodeuiTexCoord2fVertex3fSUNProcPtr 	pfglReplacementCodeuiTexCoord2fVertex3fSUN = NULL;
glReplacementCodeuiTexCoord2fVertex3fvSUNProcPtr 	pfglReplacementCodeuiTexCoord2fVertex3fvSUN = NULL;
glReplacementCodeuiTexCoord2fNormal3fVertex3fSUNProcPtr 	pfglReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = NULL;
glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUNProcPtr 	pfglReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = NULL;
glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUNProcPtr   	pfglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = NULL;
glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUNProcPtr 	pfglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = NULL;
#endif	

#if GL_SUNX_constant_data
glFinishTextureSUNXProcPtr 	pfglFinishTextureSUNX = NULL; 
#endif	

#if GL_3DFX_tbuffer
glTbufferMask3DFXProcPtr 	pfglTbufferMask3DFX = NULL; 
#endif

#pragma export off

/////////////////////////////////////////////////////
/////////////////////////////////////////////////////
// Specific missing entry point support code

CFBundleRef gBundleRefOpenGL = NULL;

OSStatus InitMissingOpenGLEntryPoints (void);
void DeallocMissingOpenGLEntryPoints (void);

/////////////////////////////////////////////////////
/////////////////////////////////////////////////////
OSStatus InitMissingOpenGLEntryPoints (void)
{
	OSStatus err;
	err = initEntryPoints (CFSTR("OpenGL.framework"), &gBundleRefOpenGL);	// init bundle
	if (noErr == err) {
#if GL_ARB_occlusion_query		
		pfglGenQueriesARB = (glGenQueriesARBProcPtr) getProcAddress (CFSTR("glGenQueriesARB"), &gBundleRefOpenGL);
		pfglDeleteQueriesARB = (glDeleteQueriesARBProcPtr) getProcAddress (CFSTR("glDeleteQueriesARB"), &gBundleRefOpenGL);
		pfglIsQueryARB = (glIsQueryARBProcPtr) getProcAddress (CFSTR("glIsQueryARB"), &gBundleRefOpenGL);
		pfglBeginQueryARB = (glBeginQueryARBProcPtr) getProcAddress (CFSTR("glBeginQueryARB"), &gBundleRefOpenGL);
		pfglEndQueryARB = (glEndQueryARBProcPtr) getProcAddress (CFSTR("glEndQueryARB"), &gBundleRefOpenGL);
		pfglGetQueryivARB = (glGetQueryivARBProcPtr) getProcAddress (CFSTR("glGetQueryivARB"), &gBundleRefOpenGL);
		pfglGetQueryObjectivARB = (glGetQueryObjectivARBProcPtr) getProcAddress (CFSTR("glGetQueryObjectivARB"), &gBundleRefOpenGL);
		pfglGetQueryObjectuivARB = (glGetQueryObjectuivARBProcPtr) getProcAddress (CFSTR("glGetQueryObjectuivARB"), &gBundleRefOpenGL);
#endif		
		
#if GL_ARB_shader_objects		
		pfglDeleteObjectARB = (glDeleteObjectARBProcPtr) getProcAddress (CFSTR("glDeleteObjectARB"), &gBundleRefOpenGL);
		pfglGetHandleARB = (glGetHandleARBProcPtr) getProcAddress (CFSTR("glGetHandleARB"), &gBundleRefOpenGL);
		pfglDetachObjectARB = (glDetachObjectARBProcPtr) getProcAddress (CFSTR("glDetachObjectARB"), &gBundleRefOpenGL);
		pfglCreateShaderObjectARB = (glCreateShaderObjectARBProcPtr) getProcAddress (CFSTR("glCreateShaderObjectARB"), &gBundleRefOpenGL);
		pfglShaderSourceARB = (glShaderSourceARBProcPtr) getProcAddress (CFSTR("glShaderSourceARB"), &gBundleRefOpenGL);
		pfglCompileShaderARB = (glCompileShaderARBProcPtr) getProcAddress (CFSTR("glCompileShaderARB"), &gBundleRefOpenGL);
		pfglCreateProgramObjectARB = (glCreateProgramObjectARBProcPtr) getProcAddress (CFSTR("glCreateProgramObjectARB"), &gBundleRefOpenGL);
		pfglAttachObjectARB = (glAttachObjectARBProcPtr) getProcAddress (CFSTR("glAttachObjectARB"), &gBundleRefOpenGL);
		pfglLinkProgramARB = (glLinkProgramARBProcPtr) getProcAddress (CFSTR("glLinkProgramARB"), &gBundleRefOpenGL);
		pfglUseProgramObjectARB = (glUseProgramObjectARBProcPtr) getProcAddress (CFSTR("glUseProgramObjectARB"), &gBundleRefOpenGL);
		pfglValidateProgramARB = (glValidateProgramARBProcPtr) getProcAddress (CFSTR("glValidateProgramARB"), &gBundleRefOpenGL);
		pfglUniform1fARB = (glUniform1fARBProcPtr) getProcAddress (CFSTR("glUniform1fARB"), &gBundleRefOpenGL);
		pfglUniform2fARB = (glUniform2fARBProcPtr) getProcAddress (CFSTR("glUniform2fARB"), &gBundleRefOpenGL);
		pfglUniform3fARB = (glUniform3fARBProcPtr) getProcAddress (CFSTR("glUniform3fARB"), &gBundleRefOpenGL);
		pfglUniform4fARB = (glUniform4fARBProcPtr) getProcAddress (CFSTR("glUniform4fARB"), &gBundleRefOpenGL);
		pfglUniform1iARB = (glUniform1iARBProcPtr) getProcAddress (CFSTR("glUniform1iARB"), &gBundleRefOpenGL);
		pfglUniform2iARB = (glUniform2iARBProcPtr) getProcAddress (CFSTR("glUniform2iARB"), &gBundleRefOpenGL);
		pfglUniform3iARB = (glUniform3iARBProcPtr) getProcAddress (CFSTR("glUniform3iARB"), &gBundleRefOpenGL);
		pfglUniform4iARB = (glUniform4iARBProcPtr) getProcAddress (CFSTR("glUniform4iARB"), &gBundleRefOpenGL);
		pfglUniform1fvARB = (glUniform1fvARBProcPtr) getProcAddress (CFSTR("glUniform1fvARB"), &gBundleRefOpenGL);
		pfglUniform2fvARB = (glUniform2fvARBProcPtr) getProcAddress (CFSTR("glUniform2fvARB"), &gBundleRefOpenGL);
		pfglUniform3fvARB = (glUniform3fvARBProcPtr) getProcAddress (CFSTR("glUniform3fvARB"), &gBundleRefOpenGL);
		pfglUniform4fvARB = (glUniform4fvARBProcPtr) getProcAddress (CFSTR("glUniform4fvARB"), &gBundleRefOpenGL);
		pfglUniform1ivARB = (glUniform1ivARBProcPtr) getProcAddress (CFSTR("glUniform1ivARB"), &gBundleRefOpenGL);
		pfglUniform2ivARB = (glUniform2ivARBProcPtr) getProcAddress (CFSTR("glUniform2ivARB"), &gBundleRefOpenGL);
		pfglUniform3ivARB = (glUniform3ivARBProcPtr) getProcAddress (CFSTR("glUniform3ivARB"), &gBundleRefOpenGL);
		pfglUniform4ivARB = (glUniform4ivARBProcPtr) getProcAddress (CFSTR("glUniform4ivARB"), &gBundleRefOpenGL);
		pfglUniformMatrix2fvARB = (glUniformMatrix2fvARBProcPtr) getProcAddress (CFSTR("glUniformMatrix2fvARB"), &gBundleRefOpenGL);
		pfglUniformMatrix3fvARB = (glUniformMatrix3fvARBProcPtr) getProcAddress (CFSTR("glUniformMatrix3fvARB"), &gBundleRefOpenGL);
		pfglUniformMatrix4fvARB = (glUniformMatrix4fvARBProcPtr) getProcAddress (CFSTR("glUniformMatrix4fvARB"), &gBundleRefOpenGL);
		pfglGetObjectParameterfvARB = (glGetObjectParameterfvARBProcPtr) getProcAddress (CFSTR("glGetObjectParameterfvARB"), &gBundleRefOpenGL);
		pfglGetObjectParameterivARB = (glGetObjectParameterivARBProcPtr) getProcAddress (CFSTR("glGetObjectParameterivARB"), &gBundleRefOpenGL);
		pfglGetInfoLogARB = (glGetInfoLogARBProcPtr) getProcAddress (CFSTR("glGetInfoLogARB"), &gBundleRefOpenGL);
		pfglGetAttachedObjectsARB = (glGetAttachedObjectsARBProcPtr) getProcAddress (CFSTR("glGetAttachedObjectsARB"), &gBundleRefOpenGL);
		pfglGetUniformLocationARB = (glGetUniformLocationARBProcPtr) getProcAddress (CFSTR("glGetUniformLocationARB"), &gBundleRefOpenGL);
		pfglGetActiveUniformARB = (glGetActiveUniformARBProcPtr) getProcAddress (CFSTR("glGetActiveUniformARB"), &gBundleRefOpenGL);
		pfglGetUniformfvARB = (glGetUniformfvARBProcPtr) getProcAddress (CFSTR("glGetUniformfvARB"), &gBundleRefOpenGL);
		pfglGetUniformivARB = (glGetUniformivARBProcPtr) getProcAddress (CFSTR("glGetUniformivARB"), &gBundleRefOpenGL);
		pfglGetShaderSourceARB = (glGetShaderSourceARBProcPtr) getProcAddress (CFSTR("glGetShaderSourceARB"), &gBundleRefOpenGL);
#endif		
		
#if GL_ARB_vertex_shader		
		pfglBindAttribLocationARB = (glBindAttribLocationARBProcPtr) getProcAddress (CFSTR("glBindAttribLocationARB"), &gBundleRefOpenGL);
		pfglGetActiveAttribARB = (glGetActiveAttribARBProcPtr) getProcAddress (CFSTR("glGetActiveAttribARB"), &gBundleRefOpenGL);
		pfglGetAttribLocationARB = (glGetAttribLocationARBProcPtr) getProcAddress (CFSTR("glGetAttribLocationARB"), &gBundleRefOpenGL);
#endif		
		
#if GL_ARB_vertex_buffer_object		
		pfglBindBufferARB = (glBindBufferARBProcPtr) getProcAddress (CFSTR("glBindBufferARB"), &gBundleRefOpenGL);
		pfglDeleteBuffersARB = (glDeleteBuffersARBProcPtr) getProcAddress (CFSTR("glDeleteBuffersARB"), &gBundleRefOpenGL);
		pfglGenBuffersARB = (glGenBuffersARBProcPtr) getProcAddress (CFSTR("glGenBuffersARB"), &gBundleRefOpenGL);
		pfglIsBufferARB = (glIsBufferARBProcPtr) getProcAddress (CFSTR("glIsBufferARB"), &gBundleRefOpenGL);
		pfglBufferDataARB = (glBufferDataARBProcPtr) getProcAddress (CFSTR("glBufferDataARB"), &gBundleRefOpenGL);
		pfglBufferSubDataARB = (glBufferSubDataARBProcPtr) getProcAddress (CFSTR("glBufferSubDataARB"), &gBundleRefOpenGL);
		pfglGetBufferSubDataARB = (glGetBufferSubDataARBProcPtr) getProcAddress (CFSTR("glGetBufferSubDataARB"), &gBundleRefOpenGL);
		pfglMapBufferARB = (glMapBufferARBProcPtr) getProcAddress (CFSTR("glMapBufferARB"), &gBundleRefOpenGL);
		pfglUnmapBufferARB = (glUnmapBufferARBProcPtr) getProcAddress (CFSTR("glUnmapBufferARB"), &gBundleRefOpenGL);
		pfglGetBufferParameterivARB = (glGetBufferParameterivARBProcPtr) getProcAddress (CFSTR("glGetBufferParameterivARB"), &gBundleRefOpenGL);
		pfglGetBufferPointervARB = (glGetBufferPointervARBProcPtr) getProcAddress (CFSTR("glGetBufferPointervARB"), &gBundleRefOpenGL);
#endif		
		
#if GL_ARB_draw_buffers		
		pfglDrawBuffersARB = (glDrawBuffersARBProcPtr) getProcAddress (CFSTR("glDrawBuffersARB"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_polygon_offset		
		pfglPolygonOffsetEXT = (glPolygonOffsetEXTProcPtr) getProcAddress (CFSTR("glPolygonOffsetEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_texture3D		
		pfglTexImage3DEXT = (glTexImage3DEXTProcPtr) getProcAddress (CFSTR("glTexImage3DEXT"), &gBundleRefOpenGL);
		pfglTexSubImage3DEXT = (glTexSubImage3DEXTProcPtr) getProcAddress (CFSTR("glTexSubImage3DEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_subtexture		
		pfglTexSubImage1DEXT = (glTexSubImage1DEXTProcPtr) getProcAddress (CFSTR("glTexSubImage1DEXT"), &gBundleRefOpenGL);
		pfglTexSubImage2DEXT = (glTexSubImage2DEXTProcPtr) getProcAddress (CFSTR("glTexSubImage2DEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_copy_texture		
		pfglCopyTexImage1DEXT = (glCopyTexImage1DEXTProcPtr) getProcAddress (CFSTR("glCopyTexImage1DEXT"), &gBundleRefOpenGL);
		pfglCopyTexImage2DEXT = (glCopyTexImage2DEXTProcPtr) getProcAddress (CFSTR("glCopyTexImage2DEXT"), &gBundleRefOpenGL);
		pfglCopyTexSubImage1DEXT = (glCopyTexSubImage1DEXTProcPtr) getProcAddress (CFSTR("glCopyTexSubImage1DEXT"), &gBundleRefOpenGL);
		pfglCopyTexSubImage2DEXT = (glCopyTexSubImage2DEXTProcPtr) getProcAddress (CFSTR("glCopyTexSubImage2DEXT"), &gBundleRefOpenGL);
		pfglCopyTexSubImage3DEXT = (glCopyTexSubImage3DEXTProcPtr) getProcAddress (CFSTR("glCopyTexSubImage3DEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_histogram		
		pfglGetHistogramEXT = (glGetHistogramEXTProcPtr) getProcAddress (CFSTR("glGetHistogramEXT"), &gBundleRefOpenGL);
		pfglGetHistogramParameterfvEXT = (glGetHistogramParameterfvEXTProcPtr) getProcAddress (CFSTR("glGetHistogramParameterfvEXT"), &gBundleRefOpenGL);
		pfglGetHistogramParameterivEXT = (glGetHistogramParameterivEXTProcPtr) getProcAddress (CFSTR("glGetHistogramParameterivEXT"), &gBundleRefOpenGL);
		pfglGetMinmaxEXT = (glGetMinmaxEXTProcPtr) getProcAddress (CFSTR("glGetMinmaxEXT"), &gBundleRefOpenGL);
		pfglGetMinmaxParameterfvEXT = (glGetMinmaxParameterfvEXTProcPtr) getProcAddress (CFSTR("glGetMinmaxParameterfvEXT"), &gBundleRefOpenGL);
		pfglGetMinmaxParameterivEXT = (glGetMinmaxParameterivEXTProcPtr) getProcAddress (CFSTR("glGetMinmaxParameterivEXT"), &gBundleRefOpenGL);
		pfglHistogramEXT = (glHistogramEXTProcPtr) getProcAddress (CFSTR("glHistogramEXT"), &gBundleRefOpenGL);
		pfglMinmaxEXT = (glMinmaxEXTProcPtr) getProcAddress (CFSTR("glMinmaxEXT"), &gBundleRefOpenGL);
		pfglResetHistogramEXT = (glResetHistogramEXTProcPtr) getProcAddress (CFSTR("glResetHistogramEXT"), &gBundleRefOpenGL);
		pfglResetMinmaxEXT = (glResetMinmaxEXTProcPtr) getProcAddress (CFSTR("glResetMinmaxEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_convolution		
		pfglConvolutionFilter1DEXT = (glConvolutionFilter1DEXTProcPtr) getProcAddress (CFSTR("glConvolutionFilter1DEXT"), &gBundleRefOpenGL);
		pfglConvolutionFilter2DEXT = (glConvolutionFilter2DEXTProcPtr) getProcAddress (CFSTR("glConvolutionFilter2DEXT"), &gBundleRefOpenGL);
		pfglConvolutionParameterfEXT = (glConvolutionParameterfEXTProcPtr) getProcAddress (CFSTR("glConvolutionParameterfEXT"), &gBundleRefOpenGL);
		pfglConvolutionParameterfvEXT = (glConvolutionParameterfvEXTProcPtr) getProcAddress (CFSTR("glConvolutionParameterfvEXT"), &gBundleRefOpenGL);
		pfglConvolutionParameteriEXT = (glConvolutionParameteriEXTProcPtr) getProcAddress (CFSTR("glConvolutionParameteriEXT"), &gBundleRefOpenGL);
		pfglConvolutionParameterivEXT = (glConvolutionParameterivEXTProcPtr) getProcAddress (CFSTR("glConvolutionParameterivEXT"), &gBundleRefOpenGL);
		pfglCopyConvolutionFilter1DEXT = (glCopyConvolutionFilter1DEXTProcPtr) getProcAddress (CFSTR("glCopyConvolutionFilter1DEXT"), &gBundleRefOpenGL);
		pfglCopyConvolutionFilter2DEXT = (glCopyConvolutionFilter2DEXTProcPtr) getProcAddress (CFSTR("glCopyConvolutionFilter2DEXT"), &gBundleRefOpenGL);
		pfglGetConvolutionFilterEXT = (glGetConvolutionFilterEXTProcPtr) getProcAddress (CFSTR("glGetConvolutionFilterEXT"), &gBundleRefOpenGL);
		pfglGetConvolutionParameterfvEXT = (glGetConvolutionParameterfvEXTProcPtr) getProcAddress (CFSTR("glGetConvolutionParameterfvEXT"), &gBundleRefOpenGL);
		pfglGetConvolutionParameterivEXT = (glGetConvolutionParameterivEXTProcPtr) getProcAddress (CFSTR("glGetConvolutionParameterivEXT"), &gBundleRefOpenGL);
		pfglGetSeparableFilterEXT = (glGetSeparableFilterEXTProcPtr) getProcAddress (CFSTR("glGetSeparableFilterEXT"), &gBundleRefOpenGL);
		pfglSeparableFilter2DEXT = (glSeparableFilter2DEXTProcPtr) getProcAddress (CFSTR("glSeparableFilter2DEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_texture_object		
		pfglAreTexturesResidentEXT = (glAreTexturesResidentEXTProcPtr) getProcAddress (CFSTR("glAreTexturesResidentEXT"), &gBundleRefOpenGL);
		pfglBindTextureEXT = (glBindTextureEXTProcPtr) getProcAddress (CFSTR("glBindTextureEXT"), &gBundleRefOpenGL);
		pfglDeleteTexturesEXT = (glDeleteTexturesEXTProcPtr) getProcAddress (CFSTR("glDeleteTexturesEXT"), &gBundleRefOpenGL);
		pfglGenTexturesEXT = (glGenTexturesEXTProcPtr) getProcAddress (CFSTR("glGenTexturesEXT"), &gBundleRefOpenGL);
		pfglIsTextureEXT = (glIsTextureEXTProcPtr) getProcAddress (CFSTR("glIsTextureEXT"), &gBundleRefOpenGL);
		pfglPrioritizeTexturesEXT = (glPrioritizeTexturesEXTProcPtr) getProcAddress (CFSTR("glPrioritizeTexturesEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_vertex_array		
		pfglArrayElementEXT = (glArrayElementEXTProcPtr) getProcAddress (CFSTR("glArrayElementEXT"), &gBundleRefOpenGL);
		pfglColorPointerEXT = (glColorPointerEXTProcPtr) getProcAddress (CFSTR("glColorPointerEXT"), &gBundleRefOpenGL);
		pfglDrawArraysEXT = (glDrawArraysEXTProcPtr) getProcAddress (CFSTR("glDrawArraysEXT"), &gBundleRefOpenGL);
		pfglEdgeFlagPointerEXT = (glEdgeFlagPointerEXTProcPtr) getProcAddress (CFSTR("glEdgeFlagPointerEXT"), &gBundleRefOpenGL);
		pfglGetPointervEXT = (glGetPointervEXTProcPtr) getProcAddress (CFSTR("glGetPointervEXT"), &gBundleRefOpenGL);
		pfglIndexPointerEXT = (glIndexPointerEXTProcPtr) getProcAddress (CFSTR("glIndexPointerEXT"), &gBundleRefOpenGL);
		pfglNormalPointerEXT = (glNormalPointerEXTProcPtr) getProcAddress (CFSTR("glNormalPointerEXT"), &gBundleRefOpenGL);
		pfglTexCoordPointerEXT = (glTexCoordPointerEXTProcPtr) getProcAddress (CFSTR("glTexCoordPointerEXT"), &gBundleRefOpenGL);
		pfglVertexPointerEXT = (glVertexPointerEXTProcPtr) getProcAddress (CFSTR("glVertexPointerEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_color_subtable		
		pfglCopyColorSubTableEXT = (glCopyColorSubTableEXTProcPtr) getProcAddress (CFSTR("glCopyColorSubTableEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_index_material		
		pfglIndexMaterialEXT = (glIndexMaterialEXTProcPtr) getProcAddress (CFSTR("glIndexMaterialEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_index_func		
		pfglIndexFuncEXT = (glIndexFuncEXTProcPtr) getProcAddress (CFSTR("glIndexFuncEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_compiled_vertex_array		
		pfglLockArraysEXT = (glLockArraysEXTProcPtr) getProcAddress (CFSTR("glLockArraysEXT"), &gBundleRefOpenGL);
		pfglUnlockArraysEXT = (glUnlockArraysEXTProcPtr) getProcAddress (CFSTR("glUnlockArraysEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_cull_vertex		
		pfglCullParameterdvEXT = (glCullParameterdvEXTProcPtr) getProcAddress (CFSTR("glCullParameterdvEXT"), &gBundleRefOpenGL);
		pfglCullParameterfvEXT = (glCullParameterfvEXTProcPtr) getProcAddress (CFSTR("glCullParameterfvEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_light_texture		
		pfglApplyTextureEXT = (glApplyTextureEXTProcPtr) getProcAddress (CFSTR("glApplyTextureEXT"), &gBundleRefOpenGL);
		pfglTextureLightEXT = (glTextureLightEXTProcPtr) getProcAddress (CFSTR("glTextureLightEXT"), &gBundleRefOpenGL);
		pfglTextureMaterialEXT = (glTextureMaterialEXTProcPtr) getProcAddress (CFSTR("glTextureMaterialEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_pixel_transform		
		pfglPixelTransformParameteriEXT = (glPixelTransformParameteriEXTProcPtr) getProcAddress (CFSTR("glPixelTransformParameteriEXT"), &gBundleRefOpenGL);
		pfglPixelTransformParameterfEXT = (glPixelTransformParameterfEXTProcPtr) getProcAddress (CFSTR("glPixelTransformParameterfEXT"), &gBundleRefOpenGL);
		pfglPixelTransformParameterivEXT = (glPixelTransformParameterivEXTProcPtr) getProcAddress (CFSTR("glPixelTransformParameterivEXT"), &gBundleRefOpenGL);
		pfglPixelTransformParameterfvEXT = (glPixelTransformParameterfvEXTProcPtr) getProcAddress (CFSTR("glPixelTransformParameterfvEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT__perturb_normal		
		pfglTextureNormalEXT = (glTextureNormalEXTProcPtr) getProcAddress (CFSTR("glTextureNormalEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_coordinate_frame		
		pfglTangent3bEXT = (glTangent3bEXTProcPtr) getProcAddress (CFSTR("glTangent3bEXT"), &gBundleRefOpenGL);
		pfglTangent3bvEXT = (glTangent3bvEXTProcPtr) getProcAddress (CFSTR("glTangent3bvEXT"), &gBundleRefOpenGL);
		pfglTangent3dEXT = (glTangent3dEXTProcPtr) getProcAddress (CFSTR("glTangent3dEXT"), &gBundleRefOpenGL);
		pfglTangent3dvEXT = (glTangent3dvEXTProcPtr) getProcAddress (CFSTR("glTangent3dvEXT"), &gBundleRefOpenGL);
		pfglTangent3fEXT = (glTangent3fEXTProcPtr) getProcAddress (CFSTR("glTangent3fEXT"), &gBundleRefOpenGL);
		pfglTangent3fvEXT = (glTangent3fvEXTProcPtr) getProcAddress (CFSTR("glTangent3fvEXT"), &gBundleRefOpenGL);
		pfglTangent3iEXT = (glTangent3iEXTProcPtr) getProcAddress (CFSTR("glTangent3iEXT"), &gBundleRefOpenGL);
		pfglTangent3ivEXT = (glTangent3ivEXTProcPtr) getProcAddress (CFSTR("glTangent3ivEXT"), &gBundleRefOpenGL);
		pfglTangent3sEXT = (glTangent3sEXTProcPtr) getProcAddress (CFSTR("glTangent3sEXT"), &gBundleRefOpenGL);
		pfglTangent3svEXT = (glTangent3svEXTProcPtr) getProcAddress (CFSTR("glTangent3svEXT"), &gBundleRefOpenGL);
		pfglBinormal3bEXT = (glBinormal3bEXTProcPtr) getProcAddress (CFSTR("glBinormal3bEXT"), &gBundleRefOpenGL);
		pfglBinormal3bvEXT = (glBinormal3bvEXTProcPtr) getProcAddress (CFSTR("glBinormal3bvEXT"), &gBundleRefOpenGL);
		pfglBinormal3dEXT = (glBinormal3dEXTProcPtr) getProcAddress (CFSTR("glBinormal3dEXT"), &gBundleRefOpenGL);
		pfglBinormal3dvEXT = (glBinormal3dvEXTProcPtr) getProcAddress (CFSTR("glBinormal3dvEXT"), &gBundleRefOpenGL);
		pfglBinormal3fEXT = (glBinormal3fEXTProcPtr) getProcAddress (CFSTR("glBinormal3fEXT"), &gBundleRefOpenGL);
		pfglBinormal3fvEXT = (glBinormal3fvEXTProcPtr) getProcAddress (CFSTR("glBinormal3fvEXT"), &gBundleRefOpenGL);
		pfglBinormal3iEXT = (glBinormal3iEXTProcPtr) getProcAddress (CFSTR("glBinormal3iEXT"), &gBundleRefOpenGL);
		pfglBinormal3ivEXT = (glBinormal3ivEXTProcPtr) getProcAddress (CFSTR("glBinormal3ivEXT"), &gBundleRefOpenGL);
		pfglBinormal3sEXT = (glBinormal3sEXTProcPtr) getProcAddress (CFSTR("glBinormal3sEXT"), &gBundleRefOpenGL);
		pfglBinormal3svEXT = (glBinormal3svEXTProcPtr) getProcAddress (CFSTR("glBinormal3svEXT"), &gBundleRefOpenGL);
		pfglTangentPointerEXT = (glTangentPointerEXTProcPtr) getProcAddress (CFSTR("glTangentPointerEXT"), &gBundleRefOpenGL);
		pfglBinormalPointerEXT = (glBinormalPointerEXTProcPtr) getProcAddress (CFSTR("glBinormalPointerEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_vertex_weighting		
		pfglVertexWeightfEXT = (glVertexWeightfEXTProcPtr) getProcAddress (CFSTR("glVertexWeightfEXT"), &gBundleRefOpenGL);
		pfglVertexWeightfvEXT = (glVertexWeightfvEXTProcPtr) getProcAddress (CFSTR("glVertexWeightfvEXT"), &gBundleRefOpenGL);
		pfglVertexWeightPointerEXT = (glVertexWeightPointerEXTProcPtr) getProcAddress (CFSTR("glVertexWeightPointerEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_vertex_shader		
		pfglBeginVertexShaderEXT = (glBeginVertexShaderEXTProcPtr) getProcAddress (CFSTR("glBeginVertexShaderEXT"), &gBundleRefOpenGL);
		pfglEndVertexShaderEXT = (glEndVertexShaderEXTProcPtr) getProcAddress (CFSTR("glEndVertexShaderEXT"), &gBundleRefOpenGL);
		pfglBindVertexShaderEXT = (glBindVertexShaderEXTProcPtr) getProcAddress (CFSTR("glBindVertexShaderEXT"), &gBundleRefOpenGL);
		pfglGenVertexShadersEXT = (glGenVertexShadersEXTProcPtr) getProcAddress (CFSTR("glGenVertexShadersEXT"), &gBundleRefOpenGL);
		pfglDeleteVertexShaderEXT = (glDeleteVertexShaderEXTProcPtr) getProcAddress (CFSTR("glDeleteVertexShaderEXT"), &gBundleRefOpenGL);
		pfglShaderOp1EXT = (glShaderOp1EXTProcPtr) getProcAddress (CFSTR("glShaderOp1EXT"), &gBundleRefOpenGL);
		pfglShaderOp2EXT = (glShaderOp2EXTProcPtr) getProcAddress (CFSTR("glShaderOp2EXT"), &gBundleRefOpenGL);
		pfglShaderOp3EXT = (glShaderOp3EXTProcPtr) getProcAddress (CFSTR("glShaderOp3EXT"), &gBundleRefOpenGL);
		pfglSwizzleEXT = (glSwizzleEXTProcPtr) getProcAddress (CFSTR("glSwizzleEXT"), &gBundleRefOpenGL);
		pfglWriteMaskEXT = (glWriteMaskEXTProcPtr) getProcAddress (CFSTR("glWriteMaskEXT"), &gBundleRefOpenGL);
		pfglInsertComponentEXT = (glInsertComponentEXTProcPtr) getProcAddress (CFSTR("glInsertComponentEXT"), &gBundleRefOpenGL);
		pfglExtractComponentEXT = (glExtractComponentEXTProcPtr) getProcAddress (CFSTR("glExtractComponentEXT"), &gBundleRefOpenGL);
		pfglGenSymbolsEXT = (glGenSymbolsEXTProcPtr) getProcAddress (CFSTR("glGenSymbolsEXT"), &gBundleRefOpenGL);
		pfglSetInvariantEXT = (glSetInvariantEXTProcPtr) getProcAddress (CFSTR("glSetInvariantEXT"), &gBundleRefOpenGL);
		pfglSetLocalConstantEXT = (glSetLocalConstantEXTProcPtr) getProcAddress (CFSTR("glSetLocalConstantEXT"), &gBundleRefOpenGL);
		pfglVariantbvEXT = (glVariantbvEXTProcPtr) getProcAddress (CFSTR("glVariantbvEXT"), &gBundleRefOpenGL);
		pfglVariantdvEXT = (glVariantdvEXTProcPtr) getProcAddress (CFSTR("glVariantdvEXT"), &gBundleRefOpenGL);
		pfglVariantfvEXT = (glVariantfvEXTProcPtr) getProcAddress (CFSTR("glVariantfvEXT"), &gBundleRefOpenGL);
		pfglVariantivEXT = (glVariantivEXTProcPtr) getProcAddress (CFSTR("glVariantivEXT"), &gBundleRefOpenGL);
		pfglVariantsvEXT = (glVariantsvEXTProcPtr) getProcAddress (CFSTR("glVariantsvEXT"), &gBundleRefOpenGL);
		pfglVariantubvEXT = (glVariantubvEXTProcPtr) getProcAddress (CFSTR("glVariantubvEXT"), &gBundleRefOpenGL);
		pfglVariantuivEXT = (glVariantuivEXTProcPtr) getProcAddress (CFSTR("glVariantuivEXT"), &gBundleRefOpenGL);
		pfglVariantusvEXT = (glVariantusvEXTProcPtr) getProcAddress (CFSTR("glVariantusvEXT"), &gBundleRefOpenGL);
		pfglVariantPointerEXT = (glVariantPointerEXTProcPtr) getProcAddress (CFSTR("glVariantPointerEXT"), &gBundleRefOpenGL);
		pfglEnableVariantClientStateEXT = (glEnableVariantClientStateEXTProcPtr) getProcAddress (CFSTR("glEnableVariantClientStateEXT"), &gBundleRefOpenGL);
		pfglDisableVariantClientStateEXT = (glDisableVariantClientStateEXTProcPtr) getProcAddress (CFSTR("glDisableVariantClientStateEXT"), &gBundleRefOpenGL);
		pfglBindLightParameterEXT = (glBindLightParameterEXTProcPtr) getProcAddress (CFSTR("glBindLightParameterEXT"), &gBundleRefOpenGL);
		pfglBindMaterialParameterEXT = (glBindMaterialParameterEXTProcPtr) getProcAddress (CFSTR("glBindMaterialParameterEXT"), &gBundleRefOpenGL);
		pfglBindTexGenParameterEXT = (glBindTexGenParameterEXTProcPtr) getProcAddress (CFSTR("glBindTexGenParameterEXT"), &gBundleRefOpenGL);
		pfglBindTextureUnitParameterEXT = (glBindTextureUnitParameterEXTProcPtr) getProcAddress (CFSTR("glBindTextureUnitParameterEXT"), &gBundleRefOpenGL);
		pfglBindParameterEXT = (glBindParameterEXTProcPtr) getProcAddress (CFSTR("glBindParameterEXT"), &gBundleRefOpenGL);
		pfglIsVariantEnabledEXT = (glIsVariantEnabledEXTProcPtr) getProcAddress (CFSTR("glIsVariantEnabledEXT"), &gBundleRefOpenGL);
		pfglGetVariantBooleanvEXT = (glGetVariantBooleanvEXTProcPtr) getProcAddress (CFSTR("glGetVariantBooleanvEXT"), &gBundleRefOpenGL);
		pfglGetVariantIntegervEXT = (glGetVariantIntegervEXTProcPtr) getProcAddress (CFSTR("glGetVariantIntegervEXT"), &gBundleRefOpenGL);
		pfglGetVariantFloatvEXT = (glGetVariantFloatvEXTProcPtr) getProcAddress (CFSTR("glGetVariantFloatvEXT"), &gBundleRefOpenGL);
		pfglGetVariantPointervEXT = (glGetVariantPointervEXTProcPtr) getProcAddress (CFSTR("glGetVariantPointervEXT"), &gBundleRefOpenGL);
		pfglGetInvariantBooleanvEXT = (glGetInvariantBooleanvEXTProcPtr) getProcAddress (CFSTR("glGetInvariantBooleanvEXT"), &gBundleRefOpenGL);
		pfglGetInvariantIntegervEXT = (glGetInvariantIntegervEXTProcPtr) getProcAddress (CFSTR("glGetInvariantIntegervEXT"), &gBundleRefOpenGL);
		pfglGetInvariantFloatvEXT = (glGetInvariantFloatvEXTProcPtr) getProcAddress (CFSTR("glGetInvariantFloatvEXT"), &gBundleRefOpenGL);
		pfglGetLocalConstantBooleanvEXT = (glGetLocalConstantBooleanvEXTProcPtr) getProcAddress (CFSTR("glGetLocalConstantBooleanvEXT"), &gBundleRefOpenGL);
		pfglGetLocalConstantIntegervEXT = (glGetLocalConstantIntegervEXTProcPtr) getProcAddress (CFSTR("glGetLocalConstantIntegervEXT"), &gBundleRefOpenGL);
		pfglGetLocalConstantFloatvEXT = (glGetLocalConstantFloatvEXTProcPtr) getProcAddress (CFSTR("glGetLocalConstantFloatvEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_fragment_shader		
		pfglGenFragmentShadersEXT = (glGenFragmentShadersEXTProcPtr) getProcAddress (CFSTR("glGenFragmentShadersEXT"), &gBundleRefOpenGL);
		pfglBindFragmentShaderEXT = (glBindFragmentShaderEXTProcPtr) getProcAddress (CFSTR("glBindFragmentShaderEXT"), &gBundleRefOpenGL);
		pfglDeleteFragmentShaderEXT = (glDeleteFragmentShaderEXTProcPtr) getProcAddress (CFSTR("glDeleteFragmentShaderEXT"), &gBundleRefOpenGL);
		pfglBeginFragmentShaderEXT = (glBeginFragmentShaderEXTProcPtr) getProcAddress (CFSTR("glBeginFragmentShaderEXT"), &gBundleRefOpenGL);
		pfglEndFragmentShaderEXT = (glEndFragmentShaderEXTProcPtr) getProcAddress (CFSTR("glEndFragmentShaderEXT"), &gBundleRefOpenGL);
		pfglPassTexCoordEXT = (glPassTexCoordEXTProcPtr) getProcAddress (CFSTR("glPassTexCoordEXT"), &gBundleRefOpenGL);
		pfglSampleMapEXT = (glSampleMapEXTProcPtr) getProcAddress (CFSTR("glSampleMapEXT"), &gBundleRefOpenGL);
		pfglColorFragmentOp1EXT = (glColorFragmentOp1EXTProcPtr) getProcAddress (CFSTR("glColorFragmentOp1EXT"), &gBundleRefOpenGL);
		pfglColorFragmentOp2EXT = (glColorFragmentOp2EXTProcPtr) getProcAddress (CFSTR("glColorFragmentOp2EXT"), &gBundleRefOpenGL);
		pfglColorFragmentOp3EXT = (glColorFragmentOp3EXTProcPtr) getProcAddress (CFSTR("glColorFragmentOp3EXT"), &gBundleRefOpenGL);
		pfglAlphaFragmentOp1EXT = (glAlphaFragmentOp1EXTProcPtr) getProcAddress (CFSTR("glAlphaFragmentOp1EXT"), &gBundleRefOpenGL);
		pfglAlphaFragmentOp2EXT = (glAlphaFragmentOp2EXTProcPtr) getProcAddress (CFSTR("glAlphaFragmentOp2EXT"), &gBundleRefOpenGL);
		pfglAlphaFragmentOp3EXT = (glAlphaFragmentOp3EXTProcPtr) getProcAddress (CFSTR("glAlphaFragmentOp3EXT"), &gBundleRefOpenGL);
		pfglSetFragmentShaderConstantEXT = (glSetFragmentShaderConstantEXTProcPtr) getProcAddress (CFSTR("glSetFragmentShaderConstantEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_multisample		
		pfglSampleMaskEXT = (glSampleMaskEXTProcPtr) getProcAddress (CFSTR("glSampleMaskEXT"), &gBundleRefOpenGL);
		pfglSamplePatternEXT = (glSamplePatternEXTProcPtr) getProcAddress (CFSTR("glSamplePatternEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_depth_bounds_test		
		pfglDepthBoundsEXT = (glDepthBoundsEXTProcPtr) getProcAddress (CFSTR("glDepthBoundsEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_blend_equation_separate		
		pfglBlendEquationSeparateEXT = (glBlendEquationSeparateEXTProcPtr) getProcAddress (CFSTR("glBlendEquationSeparateEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_EXT_framebuffer_object		
		pfglIsRenderbufferEXT = (glIsRenderbufferEXTProcPtr) getProcAddress (CFSTR("glIsRenderbufferEXT"), &gBundleRefOpenGL);
		pfglBindRenderbufferEXT = (glBindRenderbufferEXTProcPtr) getProcAddress (CFSTR("glBindRenderbufferEXT"), &gBundleRefOpenGL);
		pfglDeleteRenderbuffersEXT = (glDeleteRenderbuffersEXTProcPtr) getProcAddress (CFSTR("glDeleteRenderbuffersEXT"), &gBundleRefOpenGL);
		pfglGenRenderbuffersEXT = (glGenRenderbuffersEXTProcPtr) getProcAddress (CFSTR("glGenRenderbuffersEXT"), &gBundleRefOpenGL);
		pfglRenderbufferStorageEXT = (glRenderbufferStorageEXTProcPtr) getProcAddress (CFSTR("glRenderbufferStorageEXT"), &gBundleRefOpenGL);
		pfglGetRenderbufferParameterivEXT = (glGetRenderbufferParameterivEXTProcPtr) getProcAddress (CFSTR("glGetRenderbufferParameterivEXT"), &gBundleRefOpenGL);
		pfglIsFramebufferEXT = (glIsFramebufferEXTProcPtr) getProcAddress (CFSTR("glIsFramebufferEXT"), &gBundleRefOpenGL);
		pfglBindFramebufferEXT = (glBindFramebufferEXTProcPtr) getProcAddress (CFSTR("glBindFramebufferEXT"), &gBundleRefOpenGL);
		pfglDeleteFramebuffersEXT = (glDeleteFramebuffersEXTProcPtr) getProcAddress (CFSTR("glDeleteFramebuffersEXT"), &gBundleRefOpenGL);
		pfglGenFramebuffersEXT = (glGenFramebuffersEXTProcPtr) getProcAddress (CFSTR("glGenFramebuffersEXT"), &gBundleRefOpenGL);
		pfglCheckFramebufferStatusEXT = (glCheckFramebufferStatusEXTProcPtr) getProcAddress (CFSTR("glCheckFramebufferStatusEXT"), &gBundleRefOpenGL);
		pfglFramebufferTexture1DEXT = (glFramebufferTexture1DEXTProcPtr) getProcAddress (CFSTR("glFramebufferTexture1DEXT"), &gBundleRefOpenGL);
		pfglFramebufferTexture2DEXT = (glFramebufferTexture2DEXTProcPtr) getProcAddress (CFSTR("glFramebufferTexture2DEXT"), &gBundleRefOpenGL);
		pfglFramebufferTexture3DEXT = (glFramebufferTexture3DEXTProcPtr) getProcAddress (CFSTR("glFramebufferTexture3DEXT"), &gBundleRefOpenGL);
		pfglFramebufferRenderbufferEXT = (glFramebufferRenderbufferEXTProcPtr) getProcAddress (CFSTR("glFramebufferRenderbufferEXT"), &gBundleRefOpenGL);
		pfglGetFramebufferAttachmentParameterivEXT = (glGetFramebufferAttachmentParameterivEXTProcPtr) getProcAddress (CFSTR("glGetFramebufferAttachmentParameterivEXT"), &gBundleRefOpenGL);
		pfglGenerateMipmapEXT = (glGenerateMipmapEXTProcPtr) getProcAddress (CFSTR("glGenerateMipmapEXT"), &gBundleRefOpenGL);
#endif		
		
#if GL_APPLE_element_array		
		pfglMultiDrawElementArrayAPPLE = (glMultiDrawElementArrayAPPLEProcPtr) getProcAddress (CFSTR("glMultiDrawElementArrayAPPLE"), &gBundleRefOpenGL);
		pfglMultiDrawRangeElementArrayAPPLE = (glMultiDrawRangeElementArrayAPPLEProcPtr) getProcAddress (CFSTR("glMultiDrawRangeElementArrayAPPLE"), &gBundleRefOpenGL);
#endif		
		
#if GL_APPLE_flush_render		
		pfglFlushRenderAPPLE = (glFlushRenderAPPLEProcPtr) getProcAddress (CFSTR("glFlushRenderAPPLE"), &gBundleRefOpenGL);
		pfglFinishRenderAPPLE = (glFinishRenderAPPLEProcPtr) getProcAddress (CFSTR("glFinishRenderAPPLE"), &gBundleRefOpenGL);
		pfglSwapAPPLE = (glSwapAPPLEProcPtr) getProcAddress (CFSTR("glSwapAPPLE"), &gBundleRefOpenGL);
#endif		
		
#if GL_ATI_separate_stencil		
		pfglStencilOpSeparateATI = (glStencilOpSeparateATIProcPtr) getProcAddress (CFSTR("glStencilOpSeparateATI"), &gBundleRefOpenGL);
		pfglStencilFuncSeparateATI = (glStencilFuncSeparateATIProcPtr) getProcAddress (CFSTR("glStencilFuncSeparateATI"), &gBundleRefOpenGL);
#endif		
		
#if GL_HP_image_transform		
		pfglImageTransformParameteriHP = (glImageTransformParameteriHPProcPtr) getProcAddress (CFSTR("glImageTransformParameteriHP"), &gBundleRefOpenGL);
		pfglImageTransformParameterfHP = (glImageTransformParameterfHPProcPtr) getProcAddress (CFSTR("glImageTransformParameterfHP"), &gBundleRefOpenGL);
		pfglImageTransformParameterivHP = (glImageTransformParameterivHPProcPtr) getProcAddress (CFSTR("glImageTransformParameterivHP"), &gBundleRefOpenGL);
		pfglImageTransformParameterfvHP = (glImageTransformParameterfvHPProcPtr) getProcAddress (CFSTR("glImageTransformParameterfvHP"), &gBundleRefOpenGL);
		pfglGetImageTransformParameterivHP = (glGetImageTransformParameterivHPProcPtr) getProcAddress (CFSTR("glGetImageTransformParameterivHP"), &gBundleRefOpenGL);
		pfglGetImageTransformParameterfvHP = (glGetImageTransformParameterfvHPProcPtr) getProcAddress (CFSTR("glGetImageTransformParameterfvHP"), &gBundleRefOpenGL);
#endif		
		
#if GL_IBM_multimode_draw_arrays		
		pfglMultiModeDrawArraysIBM = (glMultiModeDrawArraysIBMProcPtr) getProcAddress (CFSTR("glMultiModeDrawArraysIBM"), &gBundleRefOpenGL);
		pfglMultiModeDrawElementsIBM = (glMultiModeDrawElementsIBMProcPtr) getProcAddress (CFSTR("glMultiModeDrawElementsIBM"), &gBundleRefOpenGL);
#endif		
		
#if GL_IBM_vertex_array_lists		
		pfglColorPointerListIBM = (glColorPointerListIBMProcPtr) getProcAddress (CFSTR("glColorPointerListIBM"), &gBundleRefOpenGL);
		pfglSecondaryColorPointerListIBM = (glSecondaryColorPointerListIBMProcPtr) getProcAddress (CFSTR("glSecondaryColorPointerListIBM"), &gBundleRefOpenGL);
		pfglEdgeFlagPointerListIBM = (glEdgeFlagPointerListIBMProcPtr) getProcAddress (CFSTR("glEdgeFlagPointerListIBM"), &gBundleRefOpenGL);
		pfglFogCoordPointerListIBM = (glFogCoordPointerListIBMProcPtr) getProcAddress (CFSTR("glFogCoordPointerListIBM"), &gBundleRefOpenGL);
		pfglIndexPointerListIBM = (glIndexPointerListIBMProcPtr) getProcAddress (CFSTR("glIndexPointerListIBM"), &gBundleRefOpenGL);
		pfglNormalPointerListIBM = (glNormalPointerListIBMProcPtr) getProcAddress (CFSTR("glNormalPointerListIBM"), &gBundleRefOpenGL);
		pfglTexCoordPointerListIBM = (glTexCoordPointerListIBMProcPtr) getProcAddress (CFSTR("glTexCoordPointerListIBM"), &gBundleRefOpenGL);
		pfglVertexPointerListIBM = (glVertexPointerListIBMProcPtr) getProcAddress (CFSTR("glVertexPointerListIBM"), &gBundleRefOpenGL);
#endif		
		
#if GL_INTEL_parallel_arrays		
		pfglVertexPointervINTEL = (glVertexPointervINTELProcPtr) getProcAddress (CFSTR("glVertexPointervINTEL"), &gBundleRefOpenGL);
		pfglNormalPointervINTEL = (glNormalPointervINTELProcPtr) getProcAddress (CFSTR("glNormalPointervINTEL"), &gBundleRefOpenGL);
		pfglColorPointervINTEL = (glColorPointervINTELProcPtr) getProcAddress (CFSTR("glColorPointervINTEL"), &gBundleRefOpenGL);
		pfglTexCoordPointervINTEL = (glTexCoordPointervINTELProcPtr) getProcAddress (CFSTR("glTexCoordPointervINTEL"), &gBundleRefOpenGL);
#endif		
		
#if GL_MESA_resize_buffers		
		pfglResizeBuffersMESA = (glResizeBuffersMESAProcPtr) getProcAddress (CFSTR("glResizeBuffersMESA"), &gBundleRefOpenGL);
#endif		
		
#if GL_NV_vertex_array_range		
		pfglFlushVertexArrayRangeNV = (glFlushVertexArrayRangeNVProcPtr) getProcAddress (CFSTR("glFlushVertexArrayRangeNV"), &gBundleRefOpenGL);
		pfglVertexArrayRangeNV = (glVertexArrayRangeNVProcPtr) getProcAddress (CFSTR("glVertexArrayRangeNV"), &gBundleRefOpenGL);
#endif		
		
#if GL_NV_vertex_program		
		pfglBindProgramNV = (glBindProgramNVProcPtr) getProcAddress (CFSTR("glBindProgramNV"), &gBundleRefOpenGL);
		pfglDeleteProgramsNV = (glDeleteProgramsNVProcPtr) getProcAddress (CFSTR("glDeleteProgramsNV"), &gBundleRefOpenGL);
		pfglExecuteProgramNV = (glExecuteProgramNVProcPtr) getProcAddress (CFSTR("glExecuteProgramNV"), &gBundleRefOpenGL);
		pfglGenProgramsNV = (glGenProgramsNVProcPtr) getProcAddress (CFSTR("glGenProgramsNV"), &gBundleRefOpenGL);
		pfglAreProgramsResidentNV = (glAreProgramsResidentNVProcPtr) getProcAddress (CFSTR("glAreProgramsResidentNV"), &gBundleRefOpenGL);
		pfglRequestResidentProgramsNV = (glRequestResidentProgramsNVProcPtr) getProcAddress (CFSTR("glRequestResidentProgramsNV"), &gBundleRefOpenGL);
		pfglGetProgramParameterfvNV = (glGetProgramParameterfvNVProcPtr) getProcAddress (CFSTR("glGetProgramParameterfvNV"), &gBundleRefOpenGL);
		pfglGetProgramParameterdvNV = (glGetProgramParameterdvNVProcPtr) getProcAddress (CFSTR("glGetProgramParameterdvNV"), &gBundleRefOpenGL);
		pfglGetProgramivNV = (glGetProgramivNVProcPtr) getProcAddress (CFSTR("glGetProgramivNV"), &gBundleRefOpenGL);
		pfglGetProgramStringNV = (glGetProgramStringNVProcPtr) getProcAddress (CFSTR("glGetProgramStringNV"), &gBundleRefOpenGL);
		pfglGetTrackMatrixivNV = (glGetTrackMatrixivNVProcPtr) getProcAddress (CFSTR("glGetTrackMatrixivNV"), &gBundleRefOpenGL);
		pfglGetVertexAttribdvNV = (glGetVertexAttribdvNVProcPtr) getProcAddress (CFSTR("glGetVertexAttribdvNV"), &gBundleRefOpenGL);
		pfglGetVertexAttribfvNV = (glGetVertexAttribfvNVProcPtr) getProcAddress (CFSTR("glGetVertexAttribfvNV"), &gBundleRefOpenGL);
		pfglGetVertexAttribivNV = (glGetVertexAttribivNVProcPtr) getProcAddress (CFSTR("glGetVertexAttribivNV"), &gBundleRefOpenGL);
		pfglGetVertexAttribPointervNV = (glGetVertexAttribPointervNVProcPtr) getProcAddress (CFSTR("glGetVertexAttribPointervNV"), &gBundleRefOpenGL);
		pfglIsProgramNV = (glIsProgramNVProcPtr) getProcAddress (CFSTR("glIsProgramNV"), &gBundleRefOpenGL);
		pfglLoadProgramNV = (glLoadProgramNVProcPtr) getProcAddress (CFSTR("glLoadProgramNV"), &gBundleRefOpenGL);
		pfglProgramParameter4fNV = (glProgramParameter4fNVProcPtr) getProcAddress (CFSTR("glProgramParameter4fNV"), &gBundleRefOpenGL);
		pfglProgramParameter4dNV = (glProgramParameter4dNVProcPtr) getProcAddress (CFSTR("glProgramParameter4dNV"), &gBundleRefOpenGL);
		pfglProgramParameter4dvNV = (glProgramParameter4dvNVProcPtr) getProcAddress (CFSTR("glProgramParameter4dvNV"), &gBundleRefOpenGL);
		pfglProgramParameter4fvNV = (glProgramParameter4fvNVProcPtr) getProcAddress (CFSTR("glProgramParameter4fvNV"), &gBundleRefOpenGL);
		pfglProgramParameters4dvNV = (glProgramParameters4dvNVProcPtr) getProcAddress (CFSTR("glProgramParameters4dvNV"), &gBundleRefOpenGL);
		pfglProgramParameters4fvNV = (glProgramParameters4fvNVProcPtr) getProcAddress (CFSTR("glProgramParameters4fvNV"), &gBundleRefOpenGL);
		pfglTrackMatrixNV = (glTrackMatrixNVProcPtr) getProcAddress (CFSTR("glTrackMatrixNV"), &gBundleRefOpenGL);
		pfglVertexAttribPointerNV = (glVertexAttribPointerNVProcPtr) getProcAddress (CFSTR("glVertexAttribPointerNV"), &gBundleRefOpenGL);
		pfglVertexAttrib1sNV = (glVertexAttrib1sNVProcPtr) getProcAddress (CFSTR("glVertexAttrib1sNV"), &gBundleRefOpenGL);
		pfglVertexAttrib1fNV = (glVertexAttrib1fNVProcPtr) getProcAddress (CFSTR("glVertexAttrib1fNV"), &gBundleRefOpenGL);
		pfglVertexAttrib1dNV = (glVertexAttrib1dNVProcPtr) getProcAddress (CFSTR("glVertexAttrib1dNV"), &gBundleRefOpenGL);
		pfglVertexAttrib2sNV = (glVertexAttrib2sNVProcPtr) getProcAddress (CFSTR("glVertexAttrib2sNV"), &gBundleRefOpenGL);
		pfglVertexAttrib2fNV = (glVertexAttrib2fNVProcPtr) getProcAddress (CFSTR("glVertexAttrib2fNV"), &gBundleRefOpenGL);
		pfglVertexAttrib2dNV = (glVertexAttrib2dNVProcPtr) getProcAddress (CFSTR("glVertexAttrib2dNV"), &gBundleRefOpenGL);
		pfglVertexAttrib3sNV = (glVertexAttrib3sNVProcPtr) getProcAddress (CFSTR("glVertexAttrib3sNV"), &gBundleRefOpenGL);
		pfglVertexAttrib3fNV = (glVertexAttrib3fNVProcPtr) getProcAddress (CFSTR("glVertexAttrib3fNV"), &gBundleRefOpenGL);
		pfglVertexAttrib3dNV = (glVertexAttrib3dNVProcPtr) getProcAddress (CFSTR("glVertexAttrib3dNV"), &gBundleRefOpenGL);
		pfglVertexAttrib4sNV = (glVertexAttrib4sNVProcPtr) getProcAddress (CFSTR("glVertexAttrib4sNV"), &gBundleRefOpenGL);
		pfglVertexAttrib4fNV = (glVertexAttrib4fNVProcPtr) getProcAddress (CFSTR("glVertexAttrib4fNV"), &gBundleRefOpenGL);
		pfglVertexAttrib4dNV = (glVertexAttrib4dNVProcPtr) getProcAddress (CFSTR("glVertexAttrib4dNV"), &gBundleRefOpenGL);
		pfglVertexAttrib4ubNV = (glVertexAttrib4ubNVProcPtr) getProcAddress (CFSTR("glVertexAttrib4ubNV"), &gBundleRefOpenGL);
		pfglVertexAttrib1svNV = (glVertexAttrib1svNVProcPtr) getProcAddress (CFSTR("glVertexAttrib1svNV"), &gBundleRefOpenGL);
		pfglVertexAttrib1fvNV = (glVertexAttrib1fvNVProcPtr) getProcAddress (CFSTR("glVertexAttrib1fvNV"), &gBundleRefOpenGL);
		pfglVertexAttrib1dvNV = (glVertexAttrib1dvNVProcPtr) getProcAddress (CFSTR("glVertexAttrib1dvNV"), &gBundleRefOpenGL);
		pfglVertexAttrib2svNV = (glVertexAttrib2svNVProcPtr) getProcAddress (CFSTR("glVertexAttrib2svNV"), &gBundleRefOpenGL);
		pfglVertexAttrib2fvNV = (glVertexAttrib2fvNVProcPtr) getProcAddress (CFSTR("glVertexAttrib2fvNV"), &gBundleRefOpenGL);
		pfglVertexAttrib2dvNV = (glVertexAttrib2dvNVProcPtr) getProcAddress (CFSTR("glVertexAttrib2dvNV"), &gBundleRefOpenGL);
		pfglVertexAttrib3svNV = (glVertexAttrib3svNVProcPtr) getProcAddress (CFSTR("glVertexAttrib3svNV"), &gBundleRefOpenGL);
		pfglVertexAttrib3fvNV = (glVertexAttrib3fvNVProcPtr) getProcAddress (CFSTR("glVertexAttrib3fvNV"), &gBundleRefOpenGL);
		pfglVertexAttrib3dvNV = (glVertexAttrib3dvNVProcPtr) getProcAddress (CFSTR("glVertexAttrib3dvNV"), &gBundleRefOpenGL);
		pfglVertexAttrib4svNV = (glVertexAttrib4svNVProcPtr) getProcAddress (CFSTR("glVertexAttrib4svNV"), &gBundleRefOpenGL);
		pfglVertexAttrib4fvNV = (glVertexAttrib4fvNVProcPtr) getProcAddress (CFSTR("glVertexAttrib4fvNV"), &gBundleRefOpenGL);
		pfglVertexAttrib4dvNV = (glVertexAttrib4dvNVProcPtr) getProcAddress (CFSTR("glVertexAttrib4dvNV"), &gBundleRefOpenGL);
		pfglVertexAttrib4ubvNV = (glVertexAttrib4ubvNVProcPtr) getProcAddress (CFSTR("glVertexAttrib4ubvNV"), &gBundleRefOpenGL);
		pfglVertexAttribs1svNV = (glVertexAttribs1svNVProcPtr) getProcAddress (CFSTR("glVertexAttribs1svNV"), &gBundleRefOpenGL);
		pfglVertexAttribs1fvNV = (glVertexAttribs1fvNVProcPtr) getProcAddress (CFSTR("glVertexAttribs1fvNV"), &gBundleRefOpenGL);
		pfglVertexAttribs1dvNV = (glVertexAttribs1dvNVProcPtr) getProcAddress (CFSTR("glVertexAttribs1dvNV"), &gBundleRefOpenGL);
		pfglVertexAttribs2svNV = (glVertexAttribs2svNVProcPtr) getProcAddress (CFSTR("glVertexAttribs2svNV"), &gBundleRefOpenGL);
		pfglVertexAttribs2fvNV = (glVertexAttribs2fvNVProcPtr) getProcAddress (CFSTR("glVertexAttribs2fvNV"), &gBundleRefOpenGL);
		pfglVertexAttribs2dvNV = (glVertexAttribs2dvNVProcPtr) getProcAddress (CFSTR("glVertexAttribs2dvNV"), &gBundleRefOpenGL);
		pfglVertexAttribs3svNV = (glVertexAttribs3svNVProcPtr) getProcAddress (CFSTR("glVertexAttribs3svNV"), &gBundleRefOpenGL);
		pfglVertexAttribs3fvNV = (glVertexAttribs3fvNVProcPtr) getProcAddress (CFSTR("glVertexAttribs3fvNV"), &gBundleRefOpenGL);
		pfglVertexAttribs3dvNV = (glVertexAttribs3dvNVProcPtr) getProcAddress (CFSTR("glVertexAttribs3dvNV"), &gBundleRefOpenGL);
		pfglVertexAttribs4svNV = (glVertexAttribs4svNVProcPtr) getProcAddress (CFSTR("glVertexAttribs4svNV"), &gBundleRefOpenGL);
		pfglVertexAttribs4fvNV = (glVertexAttribs4fvNVProcPtr) getProcAddress (CFSTR("glVertexAttribs4fvNV"), &gBundleRefOpenGL);
		pfglVertexAttribs4dvNV = (glVertexAttribs4dvNVProcPtr) getProcAddress (CFSTR("glVertexAttribs4dvNV"), &gBundleRefOpenGL);
		pfglVertexAttribs4ubvNV = (glVertexAttribs4ubvNVProcPtr) getProcAddress (CFSTR("glVertexAttribs4ubvNV"), &gBundleRefOpenGL);
#endif		
		
#if GL_PGI_misc_hints		
		pfglHintPGI = (glHintPGIProcPtr) getProcAddress (CFSTR("glHintPGI"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGI_color_table		
		pfglColorTableSGI = (glColorTableSGIProcPtr) getProcAddress (CFSTR("glColorTableSGI"), &gBundleRefOpenGL);
		pfglColorTableParameterfvSGI = (glColorTableParameterfvSGIProcPtr) getProcAddress (CFSTR("glColorTableParameterfvSGI"), &gBundleRefOpenGL);
		pfglColorTableParameterivSGI = (glColorTableParameterivSGIProcPtr) getProcAddress (CFSTR("glColorTableParameterivSGI"), &gBundleRefOpenGL);
		pfglCopyColorTableSGI = (glCopyColorTableSGIProcPtr) getProcAddress (CFSTR("glCopyColorTableSGI"), &gBundleRefOpenGL);
		pfglGetColorTableSGI = (glGetColorTableSGIProcPtr) getProcAddress (CFSTR("glGetColorTableSGI"), &gBundleRefOpenGL);
		pfglGetColorTableParameterfvSGI = (glGetColorTableParameterfvSGIProcPtr) getProcAddress (CFSTR("glGetColorTableParameterfvSGI"), &gBundleRefOpenGL);
		pfglGetColorTableParameterivSGI = (glGetColorTableParameterivSGIProcPtr) getProcAddress (CFSTR("glGetColorTableParameterivSGI"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIS_texture_filter4		
		pfglGetTexFilterFuncSGIS = (glGetTexFilterFuncSGISProcPtr) getProcAddress (CFSTR("glGetTexFilterFuncSGIS"), &gBundleRefOpenGL);
		pfglTexFilterFuncSGIS = (glTexFilterFuncSGISProcPtr) getProcAddress (CFSTR("glTexFilterFuncSGIS"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIS_pixel_texture		
		pfglPixelTexGenParameteriSGIS = (glPixelTexGenParameteriSGISProcPtr) getProcAddress (CFSTR("glPixelTexGenParameteriSGIS"), &gBundleRefOpenGL);
		pfglPixelTexGenParameterivSGIS = (glPixelTexGenParameterivSGISProcPtr) getProcAddress (CFSTR("glPixelTexGenParameterivSGIS"), &gBundleRefOpenGL);
		pfglPixelTexGenParameterfSGIS = (glPixelTexGenParameterfSGISProcPtr) getProcAddress (CFSTR("glPixelTexGenParameterfSGIS"), &gBundleRefOpenGL);
		pfglPixelTexGenParameterfvSGIS = (glPixelTexGenParameterfvSGISProcPtr) getProcAddress (CFSTR("glPixelTexGenParameterfvSGIS"), &gBundleRefOpenGL);
		pfglGetPixelTexGenParameterivSGIS = (glGetPixelTexGenParameterivSGISProcPtr) getProcAddress (CFSTR("glGetPixelTexGenParameterivSGIS"), &gBundleRefOpenGL);
		pfglGetPixelTexGenParameterfvSGIS = (glGetPixelTexGenParameterfvSGISProcPtr) getProcAddress (CFSTR("glGetPixelTexGenParameterfvSGIS"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIS_4D		
		pfglTexImage4DSGIS = (glTexImage4DSGISProcPtr) getProcAddress (CFSTR("glTexImage4DSGIS"), &gBundleRefOpenGL);
		pfglTexSubImage4DSGIS = (glTexSubImage4DSGISProcPtr) getProcAddress (CFSTR("  	glTexSubImage4DSGIS"), &gBundleRefOpenGL);  
#endif		
		
#if GL_SGIS_detail_texture		
		pfglDetailTexFuncSGIS = (glDetailTexFuncSGISProcPtr) getProcAddress (CFSTR("glDetailTexFuncSGIS"), &gBundleRefOpenGL);
		pfglGetDetailTexFuncSGIS = (glGetDetailTexFuncSGISProcPtr) getProcAddress (CFSTR("glGetDetailTexFuncSGIS"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIS_sharpen_texture		
		pfglSharpenTexFuncSGIS = (glSharpenTexFuncSGISProcPtr) getProcAddress (CFSTR("glSharpenTexFuncSGIS"), &gBundleRefOpenGL);
		pfglGetSharpenTexFuncSGIS = (glGetSharpenTexFuncSGISProcPtr) getProcAddress (CFSTR("glGetSharpenTexFuncSGIS"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIS_multisample		
		pfglSampleMaskSGIS = (glSampleMaskSGISProcPtr) getProcAddress (CFSTR("glSampleMaskSGIS"), &gBundleRefOpenGL);
		pfglSamplePatternSGIS = (glSamplePatternSGISProcPtr) getProcAddress (CFSTR("glSamplePatternSGIS"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIS_fog_function		
		pfglFogFuncSGIS = (glFogFuncSGISProcPtr) getProcAddress (CFSTR("glFogFuncSGIS"), &gBundleRefOpenGL);
		pfglGetFogFuncSGIS = (glGetFogFuncSGISProcPtr) getProcAddress (CFSTR("glGetFogFuncSGIS"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIS_texture_color_mask		
		pfglTextureColorMaskSGIS = (glTextureColorMaskSGISProcPtr) getProcAddress (CFSTR("glTextureColorMaskSGIS"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIX_pixel_texture		
		pfglPixelTexGenSGIX = (glPixelTexGenSGIXProcPtr) getProcAddress (CFSTR("glPixelTexGenSGIX"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIX_sprite		
		pfglSpriteParameterfSGIX = (glSpriteParameterfSGIXProcPtr) getProcAddress (CFSTR("glSpriteParameterfSGIX"), &gBundleRefOpenGL);
		pfglSpriteParameterfvSGIX = (glSpriteParameterfvSGIXProcPtr) getProcAddress (CFSTR("glSpriteParameterfvSGIX"), &gBundleRefOpenGL);
		pfglSpriteParameteriSGIX = (glSpriteParameteriSGIXProcPtr) getProcAddress (CFSTR("glSpriteParameteriSGIX"), &gBundleRefOpenGL);
		pfglSpriteParameterivSGIX = (glSpriteParameterivSGIXProcPtr) getProcAddress (CFSTR("glSpriteParameterivSGIX"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIX_instruments		
		pfglGetInstrumentsSGIX = (glGetInstrumentsSGIXProcPtr) getProcAddress (CFSTR("glGetInstrumentsSGIX"), &gBundleRefOpenGL);
		pfglInstrumentsBufferSGIX = (glInstrumentsBufferSGIXProcPtr) getProcAddress (CFSTR("glInstrumentsBufferSGIX"), &gBundleRefOpenGL);
		pfglPollInstrumentsSGIX = (glPollInstrumentsSGIXProcPtr) getProcAddress (CFSTR("glPollInstrumentsSGIX"), &gBundleRefOpenGL);
		pfglReadInstrumentsSGIX = (glReadInstrumentsSGIXProcPtr) getProcAddress (CFSTR("glReadInstrumentsSGIX"), &gBundleRefOpenGL);
		pfglStartInstrumentsSGIX = (glStartInstrumentsSGIXProcPtr) getProcAddress (CFSTR("glStartInstrumentsSGIX"), &gBundleRefOpenGL);
		pfglStopInstrumentsSGIX = (glStopInstrumentsSGIXProcPtr) getProcAddress (CFSTR("glStopInstrumentsSGIX"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIX_framezoom		
		pfglFrameZoomSGIX = (glFrameZoomSGIXProcPtr) getProcAddress (CFSTR("glFrameZoomSGIX"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIX_tag_sample_buffer		
		pfglTagSampleBufferSGIX = (glTagSampleBufferSGIXProcPtr) getProcAddress (CFSTR("glTagSampleBufferSGIX"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIX_polynomial_ffd		
		pfglDeformationMap3dSGIX = (glDeformationMap3dSGIXProcPtr) getProcAddress (CFSTR("glDeformationMap3dSGIX"), &gBundleRefOpenGL);   
		pfglDeformationMap3fSGIX = (glDeformationMap3fSGIXProcPtr) getProcAddress (CFSTR("glDeformationMap3fSGIX"), &gBundleRefOpenGL);   
		pfglDeformSGIX = (glDeformSGIXProcPtr) getProcAddress (CFSTR("glDeformSGIX"), &gBundleRefOpenGL);
		pfglLoadIdentityDeformationMapSGIX = (glLoadIdentityDeformationMapSGIXProcPtr) getProcAddress (CFSTR("glLoadIdentityDeformationMapSGIX"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIX_reference_plane		
		pfglReferencePlaneSGIX = (glReferencePlaneSGIXProcPtr) getProcAddress (CFSTR("glReferencePlaneSGIX"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIX_flush_raster		
		pfglFlushRasterSGIX = (glFlushRasterSGIXProcPtr) getProcAddress (CFSTR("glFlushRasterSGIX"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIX_list_priority		
		pfglGetListParameterfvSGIX = (glGetListParameterfvSGIXProcPtr) getProcAddress (CFSTR("glGetListParameterfvSGIX"), &gBundleRefOpenGL);
		pfglGetListParameterivSGIX = (glGetListParameterivSGIXProcPtr) getProcAddress (CFSTR("glGetListParameterivSGIX"), &gBundleRefOpenGL);
		pfglListParameterfSGIX = (glListParameterfSGIXProcPtr) getProcAddress (CFSTR("glListParameterfSGIX"), &gBundleRefOpenGL);
		pfglListParameterfvSGIX = (glListParameterfvSGIXProcPtr) getProcAddress (CFSTR("glListParameterfvSGIX"), &gBundleRefOpenGL);
		pfglListParameteriSGIX = (glListParameteriSGIXProcPtr) getProcAddress (CFSTR("glListParameteriSGIX"), &gBundleRefOpenGL);
		pfglListParameterivSGIX = (glListParameterivSGIXProcPtr) getProcAddress (CFSTR("glListParameterivSGIX"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIX_fragment_lighting		
		pfglFragmentColorMaterialSGIX = (glFragmentColorMaterialSGIXProcPtr) getProcAddress (CFSTR("glFragmentColorMaterialSGIX"), &gBundleRefOpenGL);
		pfglFragmentLightfSGIX = (glFragmentLightfSGIXProcPtr) getProcAddress (CFSTR("glFragmentLightfSGIX"), &gBundleRefOpenGL);
		pfglFragmentLightfvSGIX = (glFragmentLightfvSGIXProcPtr) getProcAddress (CFSTR("glFragmentLightfvSGIX"), &gBundleRefOpenGL);
		pfglFragmentLightiSGIX = (glFragmentLightiSGIXProcPtr) getProcAddress (CFSTR("glFragmentLightiSGIX"), &gBundleRefOpenGL);
		pfglFragmentLightivSGIX = (glFragmentLightivSGIXProcPtr) getProcAddress (CFSTR("glFragmentLightivSGIX"), &gBundleRefOpenGL);
		pfglFragmentLightModelfSGIX = (glFragmentLightModelfSGIXProcPtr) getProcAddress (CFSTR("glFragmentLightModelfSGIX"), &gBundleRefOpenGL);
		pfglFragmentLightModelfvSGIX = (glFragmentLightModelfvSGIXProcPtr) getProcAddress (CFSTR("glFragmentLightModelfvSGIX"), &gBundleRefOpenGL);
		pfglFragmentLightModeliSGIX = (glFragmentLightModeliSGIXProcPtr) getProcAddress (CFSTR("glFragmentLightModeliSGIX"), &gBundleRefOpenGL);
		pfglFragmentLightModelivSGIX = (glFragmentLightModelivSGIXProcPtr) getProcAddress (CFSTR("glFragmentLightModelivSGIX"), &gBundleRefOpenGL);
		pfglFragmentMaterialfSGIX = (glFragmentMaterialfSGIXProcPtr) getProcAddress (CFSTR("glFragmentMaterialfSGIX"), &gBundleRefOpenGL);
		pfglFragmentMaterialfvSGIX = (glFragmentMaterialfvSGIXProcPtr) getProcAddress (CFSTR("glFragmentMaterialfvSGIX"), &gBundleRefOpenGL);
		pfglFragmentMaterialiSGIX = (glFragmentMaterialiSGIXProcPtr) getProcAddress (CFSTR("glFragmentMaterialiSGIX"), &gBundleRefOpenGL);
		pfglFragmentMaterialivSGIX = (glFragmentMaterialivSGIXProcPtr) getProcAddress (CFSTR("glFragmentMaterialivSGIX"), &gBundleRefOpenGL);
		pfglGetFragmentLightfvSGIX = (glGetFragmentLightfvSGIXProcPtr) getProcAddress (CFSTR("glGetFragmentLightfvSGIX"), &gBundleRefOpenGL);
		pfglGetFragmentLightivSGIX = (glGetFragmentLightivSGIXProcPtr) getProcAddress (CFSTR("glGetFragmentLightivSGIX"), &gBundleRefOpenGL);
		pfglGetFragmentMaterialfvSGIX = (glGetFragmentMaterialfvSGIXProcPtr) getProcAddress (CFSTR("glGetFragmentMaterialfvSGIX"), &gBundleRefOpenGL);
		pfglGetFragmentMaterialivSGIX = (glGetFragmentMaterialivSGIXProcPtr) getProcAddress (CFSTR("glGetFragmentMaterialivSGIX"), &gBundleRefOpenGL);
		pfglLightEnviSGIX = (glLightEnviSGIXProcPtr) getProcAddress (CFSTR("glLightEnviSGIX"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIX_async		
		pfglAsyncMarkerSGIX = (glAsyncMarkerSGIXProcPtr) getProcAddress (CFSTR("glAsyncMarkerSGIX"), &gBundleRefOpenGL);
		pfglFinishAsyncSGIX = (glFinishAsyncSGIXProcPtr) getProcAddress (CFSTR("glFinishAsyncSGIX"), &gBundleRefOpenGL);
		pfglPollAsyncSGIX = (glPollAsyncSGIXProcPtr) getProcAddress (CFSTR("glPollAsyncSGIX"), &gBundleRefOpenGL);
		pfglGenAsyncMarkersSGIX = (glGenAsyncMarkersSGIXProcPtr) getProcAddress (CFSTR("glGenAsyncMarkersSGIX"), &gBundleRefOpenGL);
		pfglDeleteAsyncMarkersSGIX = (glDeleteAsyncMarkersSGIXProcPtr) getProcAddress (CFSTR("glDeleteAsyncMarkersSGIX"), &gBundleRefOpenGL);
		pfglIsAsyncMarkerSGIX = (glIsAsyncMarkerSGIXProcPtr) getProcAddress (CFSTR("glIsAsyncMarkerSGIX"), &gBundleRefOpenGL);
#endif		
		
#if GL_SGIX_igloo_interface		
		pfglIglooInterfaceSGIX = (glIglooInterfaceSGIXProcPtr) getProcAddress (CFSTR("glIglooInterfaceSGIX"), &gBundleRefOpenGL);
#endif		
		
#if GL_SUN_global_alpha		
		pfglGlobalAlphaFactorbSUN = (glGlobalAlphaFactorbSUNProcPtr) getProcAddress (CFSTR("glGlobalAlphaFactorbSUN"), &gBundleRefOpenGL);
		pfglGlobalAlphaFactorsSUN = (glGlobalAlphaFactorsSUNProcPtr) getProcAddress (CFSTR("glGlobalAlphaFactorsSUN"), &gBundleRefOpenGL);
		pfglGlobalAlphaFactoriSUN = (glGlobalAlphaFactoriSUNProcPtr) getProcAddress (CFSTR("glGlobalAlphaFactoriSUN"), &gBundleRefOpenGL);
		pfglGlobalAlphaFactorfSUN = (glGlobalAlphaFactorfSUNProcPtr) getProcAddress (CFSTR("glGlobalAlphaFactorfSUN"), &gBundleRefOpenGL);
		pfglGlobalAlphaFactordSUN = (glGlobalAlphaFactordSUNProcPtr) getProcAddress (CFSTR("glGlobalAlphaFactordSUN"), &gBundleRefOpenGL);
		pfglGlobalAlphaFactorubSUN = (glGlobalAlphaFactorubSUNProcPtr) getProcAddress (CFSTR("glGlobalAlphaFactorubSUN"), &gBundleRefOpenGL);
		pfglGlobalAlphaFactorusSUN = (glGlobalAlphaFactorusSUNProcPtr) getProcAddress (CFSTR("glGlobalAlphaFactorusSUN"), &gBundleRefOpenGL);
		pfglGlobalAlphaFactoruiSUN = (glGlobalAlphaFactoruiSUNProcPtr) getProcAddress (CFSTR("glGlobalAlphaFactoruiSUN"), &gBundleRefOpenGL);
#endif		
		
#if GL_SUN_triangle_list		
		pfglReplacementCodeuiSUN = (glReplacementCodeuiSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeusSUN = (glReplacementCodeusSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeusSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeubSUN = (glReplacementCodeubSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeubSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuivSUN = (glReplacementCodeuivSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuivSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeusvSUN = (glReplacementCodeusvSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeusvSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeubvSUN = (glReplacementCodeubvSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeubvSUN"), &gBundleRefOpenGL);
		pfglReplacementCodePointerSUN = (glReplacementCodePointerSUNProcPtr) getProcAddress (CFSTR("glReplacementCodePointerSUN"), &gBundleRefOpenGL);
#endif		
		
#if GL_SUN_vertex		
		pfglColor4ubVertex2fSUN = (glColor4ubVertex2fSUNProcPtr) getProcAddress (CFSTR("glColor4ubVertex2fSUN"), &gBundleRefOpenGL);
		pfglColor4ubVertex2fvSUN = (glColor4ubVertex2fvSUNProcPtr) getProcAddress (CFSTR("glColor4ubVertex2fvSUN"), &gBundleRefOpenGL);
		pfglColor4ubVertex3fSUN = (glColor4ubVertex3fSUNProcPtr) getProcAddress (CFSTR("glColor4ubVertex3fSUN"), &gBundleRefOpenGL);
		pfglColor4ubVertex3fvSUN = (glColor4ubVertex3fvSUNProcPtr) getProcAddress (CFSTR("glColor4ubVertex3fvSUN"), &gBundleRefOpenGL);
		pfglColor3fVertex3fSUN = (glColor3fVertex3fSUNProcPtr) getProcAddress (CFSTR("glColor3fVertex3fSUN"), &gBundleRefOpenGL);
		pfglColor3fVertex3fvSUN = (glColor3fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glColor3fVertex3fvSUN"), &gBundleRefOpenGL);
		pfglNormal3fVertex3fSUN = (glNormal3fVertex3fSUNProcPtr) getProcAddress (CFSTR("glNormal3fVertex3fSUN"), &gBundleRefOpenGL);
		pfglNormal3fVertex3fvSUN = (glNormal3fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glNormal3fVertex3fvSUN"), &gBundleRefOpenGL);
		pfglColor4fNormal3fVertex3fSUN = (glColor4fNormal3fVertex3fSUNProcPtr) getProcAddress (CFSTR("glColor4fNormal3fVertex3fSUN"), &gBundleRefOpenGL);
		pfglColor4fNormal3fVertex3fvSUN = (glColor4fNormal3fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glColor4fNormal3fVertex3fvSUN"), &gBundleRefOpenGL);
		pfglTexCoord2fVertex3fSUN = (glTexCoord2fVertex3fSUNProcPtr) getProcAddress (CFSTR("glTexCoord2fVertex3fSUN"), &gBundleRefOpenGL);
		pfglTexCoord2fVertex3fvSUN = (glTexCoord2fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glTexCoord2fVertex3fvSUN"), &gBundleRefOpenGL);
		pfglTexCoord4fVertex4fSUN = (glTexCoord4fVertex4fSUNProcPtr) getProcAddress (CFSTR("glTexCoord4fVertex4fSUN"), &gBundleRefOpenGL);
		pfglTexCoord4fVertex4fvSUN = (glTexCoord4fVertex4fvSUNProcPtr) getProcAddress (CFSTR("glTexCoord4fVertex4fvSUN"), &gBundleRefOpenGL);
		pfglTexCoord2fColor4ubVertex3fSUN = (glTexCoord2fColor4ubVertex3fSUNProcPtr) getProcAddress (CFSTR("glTexCoord2fColor4ubVertex3fSUN"), &gBundleRefOpenGL);
		pfglTexCoord2fColor4ubVertex3fvSUN = (glTexCoord2fColor4ubVertex3fvSUNProcPtr) getProcAddress (CFSTR("glTexCoord2fColor4ubVertex3fvSUN"), &gBundleRefOpenGL);
		pfglTexCoord2fColor3fVertex3fSUN = (glTexCoord2fColor3fVertex3fSUNProcPtr) getProcAddress (CFSTR("glTexCoord2fColor3fVertex3fSUN"), &gBundleRefOpenGL);
		pfglTexCoord2fColor3fVertex3fvSUN = (glTexCoord2fColor3fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glTexCoord2fColor3fVertex3fvSUN"), &gBundleRefOpenGL);
		pfglTexCoord2fNormal3fVertex3fSUN = (glTexCoord2fNormal3fVertex3fSUNProcPtr) getProcAddress (CFSTR("glTexCoord2fNormal3fVertex3fSUN"), &gBundleRefOpenGL);
		pfglTexCoord2fNormal3fVertex3fvSUN = (glTexCoord2fNormal3fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glTexCoord2fNormal3fVertex3fvSUN"), &gBundleRefOpenGL);
		pfglTexCoord2fColor4fNormal3fVertex3fSUN = (glTexCoord2fColor4fNormal3fVertex3fSUNProcPtr) getProcAddress (CFSTR("glTexCoord2fColor4fNormal3fVertex3fSUN"), &gBundleRefOpenGL); 
		pfglTexCoord2fColor4fNormal3fVertex3fvSUN = (glTexCoord2fColor4fNormal3fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glTexCoord2fColor4fNormal3fVertex3fvSUN"), &gBundleRefOpenGL);
		pfglTexCoord4fColor4fNormal3fVertex4fSUN = (glTexCoord4fColor4fNormal3fVertex4fSUNProcPtr) getProcAddress (CFSTR("glTexCoord4fColor4fNormal3fVertex4fSUN"), &gBundleRefOpenGL);    
		pfglTexCoord4fColor4fNormal3fVertex4fvSUN = (glTexCoord4fColor4fNormal3fVertex4fvSUNProcPtr) getProcAddress (CFSTR("glTexCoord4fColor4fNormal3fVertex4fvSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiVertex3fSUN = (glReplacementCodeuiVertex3fSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiVertex3fSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiVertex3fvSUN = (glReplacementCodeuiVertex3fvSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiVertex3fvSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiColor4ubVertex3fSUN = (glReplacementCodeuiColor4ubVertex3fSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiColor4ubVertex3fSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiColor4ubVertex3fvSUN = (glReplacementCodeuiColor4ubVertex3fvSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiColor4ubVertex3fvSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiColor3fVertex3fSUN = (glReplacementCodeuiColor3fVertex3fSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiColor3fVertex3fSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiColor3fVertex3fvSUN = (glReplacementCodeuiColor3fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiColor3fVertex3fvSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiNormal3fVertex3fSUN = (glReplacementCodeuiNormal3fVertex3fSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiNormal3fVertex3fSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiNormal3fVertex3fvSUN = (glReplacementCodeuiNormal3fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiNormal3fVertex3fvSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiColor4fNormal3fVertex3fSUN = (glReplacementCodeuiColor4fNormal3fVertex3fSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiColor4fNormal3fVertex3fSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiColor4fNormal3fVertex3fvSUN = (glReplacementCodeuiColor4fNormal3fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiColor4fNormal3fVertex3fvSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiTexCoord2fVertex3fSUN = (glReplacementCodeuiTexCoord2fVertex3fSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiTexCoord2fVertex3fSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiTexCoord2fVertex3fvSUN = (glReplacementCodeuiTexCoord2fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiTexCoord2fVertex3fvSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = (glReplacementCodeuiTexCoord2fNormal3fVertex3fSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = (glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN"), &gBundleRefOpenGL);
		pfglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = (glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN"), &gBundleRefOpenGL);  
		pfglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = (glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUNProcPtr) getProcAddress (CFSTR("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN"), &gBundleRefOpenGL);
#endif		
		
#if GL_SUNX_constant_data		
		pfglFinishTextureSUNX = (glFinishTextureSUNXProcPtr) getProcAddress (CFSTR("glFinishTextureSUNX"), &gBundleRefOpenGL);
#endif		
		
#if GL_3DFX_tbuffer		
		pfglTbufferMask3DFX = (glTbufferMask3DFXProcPtr) getProcAddress (CFSTR("glTbufferMask3DFX"), &gBundleRefOpenGL);
#endif		
	}
	return err;
}

/////////////////////////////////////////////////////
/////////////////////////////////////////////////////
void DeallocMissingOpenGLEntryPoints (void)
{
#if GL_ARB_occlusion_query
	pfglGenQueriesARB = NULL;
	pfglDeleteQueriesARB = NULL;
	pfglIsQueryARB = NULL;
	pfglBeginQueryARB = NULL;
	pfglEndQueryARB = NULL;
	pfglGetQueryivARB = NULL;
	pfglGetQueryObjectivARB = NULL;
	pfglGetQueryObjectuivARB = NULL;
#endif

#if GL_ARB_shader_objects
	pfglDeleteObjectARB = NULL;
	pfglGetHandleARB = NULL;
	pfglDetachObjectARB = NULL;
	pfglCreateShaderObjectARB = NULL;
	pfglShaderSourceARB = NULL;
	pfglCompileShaderARB = NULL;
	pfglCreateProgramObjectARB = NULL;
	pfglAttachObjectARB = NULL;
	pfglLinkProgramARB = NULL;
	pfglUseProgramObjectARB = NULL;
	pfglValidateProgramARB = NULL;
	pfglUniform1fARB = NULL;
	pfglUniform2fARB = NULL;
	pfglUniform3fARB = NULL;
	pfglUniform4fARB = NULL;
	pfglUniform1iARB = NULL;
	pfglUniform2iARB = NULL;
	pfglUniform3iARB = NULL;
	pfglUniform4iARB = NULL;
	pfglUniform1fvARB = NULL;
	pfglUniform2fvARB = NULL;
	pfglUniform3fvARB = NULL;
	pfglUniform4fvARB = NULL;
	pfglUniform1ivARB = NULL;
	pfglUniform2ivARB = NULL;
	pfglUniform3ivARB = NULL;
	pfglUniform4ivARB = NULL;
	pfglUniformMatrix2fvARB = NULL;
	pfglUniformMatrix3fvARB = NULL;
	pfglUniformMatrix4fvARB = NULL;
	pfglGetObjectParameterfvARB = NULL;
	pfglGetObjectParameterivARB = NULL;
	pfglGetInfoLogARB = NULL;
	pfglGetAttachedObjectsARB = NULL;
	pfglGetUniformLocationARB = NULL;
	pfglGetActiveUniformARB = NULL;
	pfglGetUniformfvARB = NULL;
	pfglGetUniformivARB = NULL;
	pfglGetShaderSourceARB = NULL;
#endif

#if GL_ARB_vertex_shader
	pfglBindAttribLocationARB = NULL;
	pfglGetActiveAttribARB = NULL;
	pfglGetAttribLocationARB = NULL;
#endif

#if GL_ARB_vertex_buffer_object
	pfglBindBufferARB = NULL;
	pfglDeleteBuffersARB = NULL;
	pfglGenBuffersARB = NULL;
	pfglIsBufferARB = NULL;
	pfglBufferDataARB = NULL;
	pfglBufferSubDataARB = NULL;
	pfglGetBufferSubDataARB = NULL;
	pfglMapBufferARB = NULL;
	pfglUnmapBufferARB = NULL;
	pfglGetBufferParameterivARB = NULL;
	pfglGetBufferPointervARB = NULL;
#endif

#if GL_ARB_draw_buffers
	pfglDrawBuffersARB = NULL;
#endif

#if GL_EXT_polygon_offset
	pfglPolygonOffsetEXT = NULL;
#endif

#if GL_EXT_texture3D
	pfglTexImage3DEXT = NULL;
	pfglTexSubImage3DEXT = NULL;
#endif

#if GL_EXT_subtexture
	pfglTexSubImage1DEXT = NULL;
	pfglTexSubImage2DEXT = NULL;
#endif

#if GL_EXT_copy_texture
	pfglCopyTexImage1DEXT = NULL;
	pfglCopyTexImage2DEXT = NULL;
	pfglCopyTexSubImage1DEXT = NULL;
	pfglCopyTexSubImage2DEXT = NULL;
	pfglCopyTexSubImage3DEXT = NULL;
#endif

#if GL_EXT_histogram
	pfglGetHistogramEXT = NULL;
	pfglGetHistogramParameterfvEXT = NULL;
	pfglGetHistogramParameterivEXT = NULL;
	pfglGetMinmaxEXT = NULL;
	pfglGetMinmaxParameterfvEXT = NULL;
	pfglGetMinmaxParameterivEXT = NULL;
	pfglHistogramEXT = NULL;
	pfglMinmaxEXT = NULL;
	pfglResetHistogramEXT = NULL;
	pfglResetMinmaxEXT = NULL;
#endif

#if GL_EXT_convolution
	pfglConvolutionFilter1DEXT = NULL;
	pfglConvolutionFilter2DEXT = NULL;
	pfglConvolutionParameterfEXT = NULL;
	pfglConvolutionParameterfvEXT = NULL;
	pfglConvolutionParameteriEXT = NULL;
	pfglConvolutionParameterivEXT = NULL;
	pfglCopyConvolutionFilter1DEXT = NULL;
	pfglCopyConvolutionFilter2DEXT = NULL;
	pfglGetConvolutionFilterEXT = NULL;
	pfglGetConvolutionParameterfvEXT = NULL;
	pfglGetConvolutionParameterivEXT = NULL;
	pfglGetSeparableFilterEXT = NULL;
	pfglSeparableFilter2DEXT = NULL;
#endif

#if GL_EXT_texture_object
	pfglAreTexturesResidentEXT = NULL;
	pfglBindTextureEXT = NULL;
	pfglDeleteTexturesEXT = NULL;
	pfglGenTexturesEXT = NULL;
	pfglIsTextureEXT = NULL;
	pfglPrioritizeTexturesEXT = NULL;
#endif

#if GL_EXT_vertex_array
	pfglArrayElementEXT = NULL;
	pfglColorPointerEXT = NULL;
	pfglDrawArraysEXT = NULL;
	pfglEdgeFlagPointerEXT = NULL;
	pfglGetPointervEXT = NULL;
	pfglIndexPointerEXT = NULL;
	pfglNormalPointerEXT = NULL;
	pfglTexCoordPointerEXT = NULL;
	pfglVertexPointerEXT = NULL;
#endif

#if GL_EXT_color_subtable
	pfglCopyColorSubTableEXT = NULL;
#endif

#if GL_EXT_index_material
	pfglIndexMaterialEXT = NULL;
#endif

#if GL_EXT_index_func
	pfglIndexFuncEXT = NULL;
#endif

#if GL_EXT_compiled_vertex_array
	pfglLockArraysEXT = NULL;
	pfglUnlockArraysEXT = NULL;
#endif

#if GL_EXT_cull_vertex
	pfglCullParameterdvEXT = NULL;
	pfglCullParameterfvEXT = NULL;
#endif

#if GL_EXT_light_texture
	pfglApplyTextureEXT = NULL;
	pfglTextureLightEXT = NULL;
	pfglTextureMaterialEXT = NULL;
#endif

#if GL_EXT_pixel_transform
	pfglPixelTransformParameteriEXT = NULL;
	pfglPixelTransformParameterfEXT = NULL;
	pfglPixelTransformParameterivEXT = NULL;
	pfglPixelTransformParameterfvEXT = NULL;
#endif

#if GL_EXT_texture_perturb_normal
	pfglTextureNormalEXT = NULL;
#endif

#if GL_EXT_coordinate_frame
	pfglTangent3bEXT = NULL;
	pfglTangent3bvEXT = NULL;
	pfglTangent3dEXT = NULL;
	pfglTangent3dvEXT = NULL;
	pfglTangent3fEXT = NULL;
	pfglTangent3fvEXT = NULL;
	pfglTangent3iEXT = NULL;
	pfglTangent3ivEXT = NULL;
	pfglTangent3sEXT = NULL;
	pfglTangent3svEXT = NULL;
	pfglBinormal3bEXT = NULL;
	pfglBinormal3bvEXT = NULL;
	pfglBinormal3dEXT = NULL;
	pfglBinormal3dvEXT = NULL;
	pfglBinormal3fEXT = NULL;
	pfglBinormal3fvEXT = NULL;
	pfglBinormal3iEXT = NULL;
	pfglBinormal3ivEXT = NULL;
	pfglBinormal3sEXT = NULL;
	pfglBinormal3svEXT = NULL;
	pfglTangentPointerEXT = NULL;
	pfglBinormalPointerEXT = NULL;
#endif

#if GL_EXT_vertex_weighting
	pfglVertexWeightfEXT = NULL;
	pfglVertexWeightfvEXT = NULL;
	pfglVertexWeightPointerEXT = NULL;
#endif

#if GL_EXT_vertex_shader
	pfglBeginVertexShaderEXT = NULL;
	pfglEndVertexShaderEXT = NULL;
	pfglBindVertexShaderEXT = NULL;
	pfglGenVertexShadersEXT = NULL;
	pfglDeleteVertexShaderEXT = NULL;
	pfglShaderOp1EXT = NULL;
	pfglShaderOp2EXT = NULL;
	pfglShaderOp3EXT = NULL;
	pfglSwizzleEXT = NULL;
	pfglWriteMaskEXT = NULL;
	pfglInsertComponentEXT = NULL;
	pfglExtractComponentEXT = NULL;
	pfglGenSymbolsEXT = NULL;
	pfglSetInvariantEXT = NULL;
	pfglSetLocalConstantEXT = NULL;
	pfglVariantbvEXT = NULL;
	pfglVariantdvEXT = NULL;
	pfglVariantfvEXT = NULL;
	pfglVariantivEXT = NULL;
	pfglVariantsvEXT = NULL;
	pfglVariantubvEXT = NULL;
	pfglVariantuivEXT = NULL;
	pfglVariantusvEXT = NULL;
	pfglVariantPointerEXT = NULL;
	pfglEnableVariantClientStateEXT = NULL;
	pfglDisableVariantClientStateEXT = NULL;
	pfglBindLightParameterEXT = NULL;
	pfglBindMaterialParameterEXT = NULL;
	pfglBindTexGenParameterEXT = NULL;
	pfglBindTextureUnitParameterEXT = NULL;
	pfglBindParameterEXT = NULL;
	pfglIsVariantEnabledEXT = NULL;
	pfglGetVariantBooleanvEXT = NULL;
	pfglGetVariantIntegervEXT = NULL;
	pfglGetVariantFloatvEXT = NULL;
	pfglGetVariantPointervEXT = NULL;
	pfglGetInvariantBooleanvEXT = NULL;
	pfglGetInvariantIntegervEXT = NULL;
	pfglGetInvariantFloatvEXT = NULL;
	pfglGetLocalConstantBooleanvEXT = NULL;
	pfglGetLocalConstantIntegervEXT = NULL;
	pfglGetLocalConstantFloatvEXT = NULL;
#endif

#if GL_EXT_fragment_shader
	pfglGenFragmentShadersEXT = NULL;
	pfglBindFragmentShaderEXT = NULL;
	pfglDeleteFragmentShaderEXT = NULL;
	pfglBeginFragmentShaderEXT = NULL;
	pfglEndFragmentShaderEXT = NULL;
	pfglPassTexCoordEXT = NULL;
	pfglSampleMapEXT = NULL;
	pfglColorFragmentOp1EXT = NULL;
	pfglColorFragmentOp2EXT = NULL;
	pfglColorFragmentOp3EXT = NULL;
	pfglAlphaFragmentOp1EXT = NULL;
	pfglAlphaFragmentOp2EXT = NULL;
	pfglAlphaFragmentOp3EXT = NULL;
	pfglSetFragmentShaderConstantEXT = NULL;
#endif

#if GL_EXT_multisample
	pfglSampleMaskEXT = NULL;
	pfglSamplePatternEXT = NULL;
#endif

#if GL_EXT_depth_bounds_test
	pfglDepthBoundsEXT = NULL;
#endif

#if GL_EXT_blend_equation_separate
	pfglBlendEquationSeparateEXT = NULL;
#endif

#if GL_EXT_framebuffer_object
	pfglIsRenderbufferEXT = NULL;
	pfglBindRenderbufferEXT = NULL;
	pfglDeleteRenderbuffersEXT = NULL;
	pfglGenRenderbuffersEXT = NULL;
	pfglRenderbufferStorageEXT = NULL;
	pfglGetRenderbufferParameterivEXT = NULL;
	pfglIsFramebufferEXT = NULL;
	pfglBindFramebufferEXT = NULL;
	pfglDeleteFramebuffersEXT = NULL;
	pfglGenFramebuffersEXT = NULL;
	pfglCheckFramebufferStatusEXT = NULL;
	pfglFramebufferTexture1DEXT = NULL;
	pfglFramebufferTexture2DEXT = NULL;
	pfglFramebufferTexture3DEXT = NULL;
	pfglFramebufferRenderbufferEXT = NULL;
	pfglGetFramebufferAttachmentParameterivEXT = NULL;
	pfglGenerateMipmapEXT = NULL;
#endif

#if GL_APPLE_element_array
	pfglMultiDrawElementArrayAPPLE = NULL;
	pfglMultiDrawRangeElementArrayAPPLE = NULL;
#endif

#if GL_APPLE_flush_render
	pfglFlushRenderAPPLE = NULL;
	pfglFinishRenderAPPLE = NULL;
	pfglSwapAPPLE = NULL;
#endif

#if GL_ATI_separate_stencil
	pfglStencilOpSeparateATI = NULL;
	pfglStencilFuncSeparateATI = NULL;
#endif

#if GL_HP_image_transform
	pfglImageTransformParameteriHP = NULL;
	pfglImageTransformParameterfHP = NULL;
	pfglImageTransformParameterivHP = NULL;
	pfglImageTransformParameterfvHP = NULL;
	pfglGetImageTransformParameterivHP = NULL;
	pfglGetImageTransformParameterfvHP = NULL;
#endif

#if GL_IBM_multimode_draw_arrays
	pfglMultiModeDrawArraysIBM = NULL;
	pfglMultiModeDrawElementsIBM = NULL;
#endif

#if GL_IBM_vertex_array_lists
	pfglColorPointerListIBM = NULL;
	pfglSecondaryColorPointerListIBM = NULL;
	pfglEdgeFlagPointerListIBM = NULL;
	pfglFogCoordPointerListIBM = NULL;
	pfglIndexPointerListIBM = NULL;
	pfglNormalPointerListIBM = NULL;
	pfglTexCoordPointerListIBM = NULL;
	pfglVertexPointerListIBM = NULL;
#endif

#if GL_INTEL_parallel_arrays
	pfglVertexPointervINTEL = NULL;
	pfglNormalPointervINTEL = NULL;
	pfglColorPointervINTEL = NULL;
	pfglTexCoordPointervINTEL = NULL;
#endif

#if GL_MESA_resize_buffers
	pfglResizeBuffersMESA = NULL;
#endif

#if GL_NV_vertex_array_range
	pfglFlushVertexArrayRangeNV = NULL;
	pfglVertexArrayRangeNV = NULL;
#endif

#if GL_NV_vertex_program
	pfglBindProgramNV = NULL;
	pfglDeleteProgramsNV = NULL;
	pfglExecuteProgramNV = NULL;
	pfglGenProgramsNV = NULL;
	pfglAreProgramsResidentNV = NULL;
	pfglRequestResidentProgramsNV = NULL;
	pfglGetProgramParameterfvNV = NULL;
	pfglGetProgramParameterdvNV = NULL;
	pfglGetProgramivNV = NULL;
	pfglGetProgramStringNV = NULL;
	pfglGetTrackMatrixivNV = NULL;
	pfglGetVertexAttribdvNV = NULL;
	pfglGetVertexAttribfvNV = NULL;
	pfglGetVertexAttribivNV = NULL;
	pfglGetVertexAttribPointervNV = NULL;
	pfglIsProgramNV = NULL;
	pfglLoadProgramNV = NULL;
	pfglProgramParameter4fNV = NULL;
	pfglProgramParameter4dNV = NULL;
	pfglProgramParameter4dvNV = NULL;
	pfglProgramParameter4fvNV = NULL;
	pfglProgramParameters4dvNV = NULL;
	pfglProgramParameters4fvNV = NULL;
	pfglTrackMatrixNV = NULL;
	pfglVertexAttribPointerNV = NULL;
	pfglVertexAttrib1sNV = NULL;
	pfglVertexAttrib1fNV = NULL;
	pfglVertexAttrib1dNV = NULL;
	pfglVertexAttrib2sNV = NULL;
	pfglVertexAttrib2fNV = NULL;
	pfglVertexAttrib2dNV = NULL;
	pfglVertexAttrib3sNV = NULL;
	pfglVertexAttrib3fNV = NULL;
	pfglVertexAttrib3dNV = NULL;
	pfglVertexAttrib4sNV = NULL;
	pfglVertexAttrib4fNV = NULL;
	pfglVertexAttrib4dNV = NULL;
	pfglVertexAttrib4ubNV = NULL;
	pfglVertexAttrib1svNV = NULL;
	pfglVertexAttrib1fvNV = NULL;
	pfglVertexAttrib1dvNV = NULL;
	pfglVertexAttrib2svNV = NULL;
	pfglVertexAttrib2fvNV = NULL;
	pfglVertexAttrib2dvNV = NULL;
	pfglVertexAttrib3svNV = NULL;
	pfglVertexAttrib3fvNV = NULL;
	pfglVertexAttrib3dvNV = NULL;
	pfglVertexAttrib4svNV = NULL;
	pfglVertexAttrib4fvNV = NULL;
	pfglVertexAttrib4dvNV = NULL;
	pfglVertexAttrib4ubvNV = NULL;
	pfglVertexAttribs1svNV = NULL;
	pfglVertexAttribs1fvNV = NULL;
	pfglVertexAttribs1dvNV = NULL;
	pfglVertexAttribs2svNV = NULL;
	pfglVertexAttribs2fvNV = NULL;
	pfglVertexAttribs2dvNV = NULL;
	pfglVertexAttribs3svNV = NULL;
	pfglVertexAttribs3fvNV = NULL;
	pfglVertexAttribs3dvNV = NULL;
	pfglVertexAttribs4svNV = NULL;
	pfglVertexAttribs4fvNV = NULL;
	pfglVertexAttribs4dvNV = NULL;
	pfglVertexAttribs4ubvNV = NULL;
#endif

#if GL_PGI_misc_hints
	pfglHintPGI = NULL;
#endif

#if GL_SGI_color_table
	pfglColorTableSGI = NULL;
	pfglColorTableParameterfvSGI = NULL;
	pfglColorTableParameterivSGI = NULL;
	pfglCopyColorTableSGI = NULL;
	pfglGetColorTableSGI = NULL;
	pfglGetColorTableParameterfvSGI = NULL;
	pfglGetColorTableParameterivSGI = NULL;
#endif

#if GL_SGIS_texture_filter4
	pfglGetTexFilterFuncSGIS = NULL;
	pfglTexFilterFuncSGIS = NULL;
#endif

#if GL_SGIS_pixel_texture
	pfglPixelTexGenParameteriSGIS = NULL;
	pfglPixelTexGenParameterivSGIS = NULL;
	pfglPixelTexGenParameterfSGIS = NULL;
	pfglPixelTexGenParameterfvSGIS = NULL;
	pfglGetPixelTexGenParameterivSGIS = NULL;
	pfglGetPixelTexGenParameterfvSGIS = NULL;
#endif

#if GL_SGIS_texture4D
	pfglTexImage4DSGIS = NULL;
	pfglTexSubImage4DSGIS = NULL;  
#endif

#if GL_SGIS_detail_texture
	pfglDetailTexFuncSGIS = NULL;
	pfglGetDetailTexFuncSGIS = NULL;
#endif

#if GL_SGIS_sharpen_texture
	pfglSharpenTexFuncSGIS = NULL;
	pfglGetSharpenTexFuncSGIS = NULL;
#endif

#if GL_SGIS_multisample
	pfglSampleMaskSGIS = NULL;
	pfglSamplePatternSGIS = NULL;
#endif

#if GL_SGIS_fog_function
	pfglFogFuncSGIS = NULL;
	pfglGetFogFuncSGIS = NULL;
#endif

#if GL_SGIS_texture_color_mask
	pfglTextureColorMaskSGIS = NULL;
#endif

#if GL_SGIX_pixel_texture
	pfglPixelTexGenSGIX = NULL;
#endif

#if GL_SGIX_sprite
	pfglSpriteParameterfSGIX = NULL;
	pfglSpriteParameterfvSGIX = NULL;
	pfglSpriteParameteriSGIX = NULL;
	pfglSpriteParameterivSGIX = NULL;
#endif

#if GL_SGIX_instruments
	pfglGetInstrumentsSGIX = NULL;
	pfglInstrumentsBufferSGIX = NULL;
	pfglPollInstrumentsSGIX = NULL;
	pfglReadInstrumentsSGIX = NULL;
	pfglStartInstrumentsSGIX = NULL;
	pfglStopInstrumentsSGIX = NULL;
#endif

#if GL_SGIX_framezoom
	pfglFrameZoomSGIX = NULL;
#endif

#if GL_SGIX_tag_sample_buffer
	pfglTagSampleBufferSGIX = NULL;
#endif

#if GL_SGIX_polynomial_ffd
	pfglDeformationMap3dSGIX = NULL;   
	pfglDeformationMap3fSGIX = NULL;   
	pfglDeformSGIX = NULL;
	pfglLoadIdentityDeformationMapSGIX = NULL;
#endif

#if GL_SGIX_reference_plane
	pfglReferencePlaneSGIX = NULL;
#endif

#if GL_SGIX_flush_raster
	pfglFlushRasterSGIX = NULL;
#endif

#if GL_SGIX_list_priority
	pfglGetListParameterfvSGIX = NULL;
	pfglGetListParameterivSGIX = NULL;
	pfglListParameterfSGIX = NULL;
	pfglListParameterfvSGIX = NULL;
	pfglListParameteriSGIX = NULL;
	pfglListParameterivSGIX = NULL;
#endif

#if GL_SGIX_fragment_lighting
	pfglFragmentColorMaterialSGIX = NULL;
	pfglFragmentLightfSGIX = NULL;
	pfglFragmentLightfvSGIX = NULL;
	pfglFragmentLightiSGIX = NULL;
	pfglFragmentLightivSGIX = NULL;
	pfglFragmentLightModelfSGIX = NULL;
	pfglFragmentLightModelfvSGIX = NULL;
	pfglFragmentLightModeliSGIX = NULL;
	pfglFragmentLightModelivSGIX = NULL;
	pfglFragmentMaterialfSGIX = NULL;
	pfglFragmentMaterialfvSGIX = NULL;
	pfglFragmentMaterialiSGIX = NULL;
	pfglFragmentMaterialivSGIX = NULL;
	pfglGetFragmentLightfvSGIX = NULL;
	pfglGetFragmentLightivSGIX = NULL;
	pfglGetFragmentMaterialfvSGIX = NULL;
	pfglGetFragmentMaterialivSGIX = NULL;
	pfglLightEnviSGIX = NULL;
#endif

#if GL_SGIX_async
	pfglAsyncMarkerSGIX = NULL;
	pfglFinishAsyncSGIX = NULL;
	pfglPollAsyncSGIX = NULL;
	pfglGenAsyncMarkersSGIX = NULL;
	pfglDeleteAsyncMarkersSGIX = NULL;
	pfglIsAsyncMarkerSGIX = NULL;
#endif

#if GL_SGIX_igloo_interface
	pfglIglooInterfaceSGIX = NULL;
#endif

#if GL_SUN_global_alpha
	pfglGlobalAlphaFactorbSUN = NULL;
	pfglGlobalAlphaFactorsSUN = NULL;
	pfglGlobalAlphaFactoriSUN = NULL;
	pfglGlobalAlphaFactorfSUN = NULL;
	pfglGlobalAlphaFactordSUN = NULL;
	pfglGlobalAlphaFactorubSUN = NULL;
	pfglGlobalAlphaFactorusSUN = NULL;
	pfglGlobalAlphaFactoruiSUN = NULL;
#endif

#if GL_SUN_triangle_list
	pfglReplacementCodeuiSUN = NULL;
	pfglReplacementCodeusSUN = NULL;
	pfglReplacementCodeubSUN = NULL;
	pfglReplacementCodeuivSUN = NULL;
	pfglReplacementCodeusvSUN = NULL;
	pfglReplacementCodeubvSUN = NULL;
	pfglReplacementCodePointerSUN = NULL;
#endif

#if GL_SUN_vertex
	pfglColor4ubVertex2fSUN = NULL;
	pfglColor4ubVertex2fvSUN = NULL;
	pfglColor4ubVertex3fSUN = NULL;
	pfglColor4ubVertex3fvSUN = NULL;
	pfglColor3fVertex3fSUN = NULL;
	pfglColor3fVertex3fvSUN = NULL;
	pfglNormal3fVertex3fSUN = NULL;
	pfglNormal3fVertex3fvSUN = NULL;
	pfglColor4fNormal3fVertex3fSUN = NULL;
	pfglColor4fNormal3fVertex3fvSUN = NULL;
	pfglTexCoord2fVertex3fSUN = NULL;
	pfglTexCoord2fVertex3fvSUN = NULL;
	pfglTexCoord4fVertex4fSUN = NULL;
	pfglTexCoord4fVertex4fvSUN = NULL;
	pfglTexCoord2fColor4ubVertex3fSUN = NULL;
	pfglTexCoord2fColor4ubVertex3fvSUN = NULL;
	pfglTexCoord2fColor3fVertex3fSUN = NULL;
	pfglTexCoord2fColor3fVertex3fvSUN = NULL;
	pfglTexCoord2fNormal3fVertex3fSUN = NULL;
	pfglTexCoord2fNormal3fVertex3fvSUN = NULL;
	pfglTexCoord2fColor4fNormal3fVertex3fSUN = NULL; 
	pfglTexCoord2fColor4fNormal3fVertex3fvSUN = NULL;
	pfglTexCoord4fColor4fNormal3fVertex4fSUN = NULL;    
	pfglTexCoord4fColor4fNormal3fVertex4fvSUN = NULL;
	pfglReplacementCodeuiVertex3fSUN = NULL;
	pfglReplacementCodeuiVertex3fvSUN = NULL;
	pfglReplacementCodeuiColor4ubVertex3fSUN = NULL;
	pfglReplacementCodeuiColor4ubVertex3fvSUN = NULL;
	pfglReplacementCodeuiColor3fVertex3fSUN = NULL;
	pfglReplacementCodeuiColor3fVertex3fvSUN = NULL;
	pfglReplacementCodeuiNormal3fVertex3fSUN = NULL;
	pfglReplacementCodeuiNormal3fVertex3fvSUN = NULL;
	pfglReplacementCodeuiColor4fNormal3fVertex3fSUN = NULL;
	pfglReplacementCodeuiColor4fNormal3fVertex3fvSUN = NULL;
	pfglReplacementCodeuiTexCoord2fVertex3fSUN = NULL;
	pfglReplacementCodeuiTexCoord2fVertex3fvSUN = NULL;
	pfglReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = NULL;
	pfglReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = NULL;
	pfglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = NULL;  
	pfglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = NULL;
#endif

#if GL_SUNX_constant_data
	pfglFinishTextureSUNX = NULL;
#endif

#if GL_3DFX_tbuffer
	pfglTbufferMask3DFX = NULL;
#endif
	
	deallocEntryPoints (&gBundleRefOpenGL); // dump bundle
}

/////////////////////////////////////////////////////
/////////////////////////////////////////////////////
